import 'package:flutter/cupertino.dart';
import 'package:cometchat_chat_uikit/cometchat_chat_uikit.dart';
import 'package:cometchat_chat_uikit/src/utils/ui_event_handler.dart';

enum CustomUIPosition {
  composerTop,
  composerBottom,
  messageListTop,
  messageListBottom
}

///Listener class for [CometChatConversations]
abstract class CometChatUIEventListener implements UIEventHandler {
  void showPanel(Map<String, dynamic>? id, CustomUIPosition uiPosition,
      WidgetBuilder child) {}
  void hidePanel(Map<String, dynamic>? id, CustomUIPosition uiPosition) {}

  void onConversationChanged(Map<String, dynamic>? id, BaseMessage? lastMessage,
      User? user, Group? group) {}
}
