import 'package:flutter/material.dart';
import 'package:cometchat_chat_uikit/cometchat_chat_uikit.dart';

///[DateStyle] is a data class that has styling-related properties
///to customize the appearance of [CometChatDate]
class DateStyle extends BaseStyles {
  const DateStyle({
    this.textStyle,
    this.contentPadding,
    this.isTransparentBackground,
    double? width,
    double? height,
    Color? background,
    BoxBorder? border,
    double? borderRadius,
    Gradient? gradient,
  }) : super(
            width: width,
            height: height,
            background: background,
            border: border,
            borderRadius: borderRadius,
            gradient: gradient);

  ///[textStyle] gives style to the date to be displayed
  final TextStyle? textStyle;

  ///[contentPadding] set the content padding.
  final EdgeInsetsGeometry? contentPadding;

  ///set the container to be transparent.
  final bool? isTransparentBackground;
}
