import 'package:flutter/material.dart';
import 'package:cometchat_chat_uikit/cometchat_chat_uikit.dart';

///[ListItemStyle] is a data class that has styling-related properties
///to customize the appearance of [CometChatListItem]
class ListItemStyle extends BaseStyles {
  const ListItemStyle({
    this.titleStyle,
    this.separatorColor,
    double? width,
    double? height,
    Color? background,
    BoxBorder? border,
    double? borderRadius,
    Gradient? gradient,
  }) : super(
            width: width,
            height: height,
            background: background,
            border: border,
            borderRadius: borderRadius,
            gradient: gradient);

  ///[titleStyle] TextStyle for List item title
  final TextStyle? titleStyle;

  ///[separatorColor] customize the color of the horizontal line separating the list items
  final Color? separatorColor;
}
