/*
import 'package:flutter/material.dart';
import 'package:cometchat_chat_uikit/cometchat_chat_uikit.dart';

/// A Configuration object for [CometChatAvatar]
///
/// this Configuration object can be used to configure avatar properties
/// from parents

/// {@tool snippet}
/// ```dart
///AvatarConfiguration(
/// width: 22,
/// height: 20,
/// backgroundColor: Colors.black,
/// cornerRadius: 5.0,
/// nameTextStyle : TextStyle(),
///  outerCornerRadius: 20.0,
/// outerViewBackgroundColor:
/// Colors.black,
/// outerViewSpacing:1.0,
/// outerViewWidth:1.0)
///```
/// {@end-tool}
class AvatarConfiguration extends CometChatConfigurations {
  const AvatarConfiguration({
    this.image,
    this.name,
    this.style,
  });

   ///[image] sets the image url  for the avatar ,  will be preferred over name
  final String? image;

  ///[name] only visible when [image] tag is not passed
  final String? name;

  ///[style] contains properties that affects the appearance of this widget
  final AvatarStyle? style;
}
*/
