/*
import 'package:flutter/material.dart';
import 'package:cometchat_chat_uikit/cometchat_chat_uikit.dart';

/// A Configuration object for [CometChatStatusIndicator]
///
/// this Configuration object can be used to configure [CometChatStatusIndicator] properties
/// from parents

/// {@tool snippet}
/// ```dart
///CometChatUsers(
///       title: "Users",
///       showBackButton: true,
///       hideSearch:false,
///       searchPlaceholder:'Search',
///       searchBoxIcon: Icon(Icons.search),
///       backButton: Icon(Icons.arrow_back_rounded),
///       style: UsersStyle(
///         background: Colors.white,
///         titleStyle: TextStyle(),
///         gradient: LinearGradient(colors: [Colors.redAccent,Colors.purpleAccent])
///       ),
///       userListConfiguration: UserListConfiguration(
///       )
///     );
///```
/// {@end-tool}
class StatusIndicatorConfiguration extends CometChatConfigurations {
  ///status indicator configurations
  const StatusIndicatorConfiguration(
      {this.icon,this.style});

  ///[icon] icon for status indicator
  final Widget? icon;

  ///[style] contains properties that affects the appearance of status indicator widget
  final StatusIndicatorStyle? style;
}
*/
