import 'package:flutter/material.dart';

final smileysKey = GlobalKey();
final animalsKey = GlobalKey();
final foodsKey = GlobalKey();
final travelKey = GlobalKey();
final activitiesKey = GlobalKey();
final objectsKey = GlobalKey();
final symbolsKey = GlobalKey();
final flagsKey = GlobalKey();

class Emoji {
  Emoji({required this.keywords, required this.emoji});

  final List<String> keywords;

  final String emoji;
}

class EmojiCategory {
  EmojiCategory({
    required this.key,
    required this.id,
    required this.name,
    required this.symbolURL,
    required this.emojies,
  });

  final int id;
  final GlobalKey key;
  final String name;
  final String symbolURL;
  final List<Emoji> emojies;
}

List<EmojiCategory> emojiData = [
  EmojiCategory(
      id: 0,
      key: smileysKey,
      name: 'Smileys',
      symbolURL: 'assets/icons/smileys.png',
      emojies: smileyList),
  EmojiCategory(
      id: 1,
      key: animalsKey,
      name: 'Animals',
      symbolURL: 'assets/icons/animals.png',
      emojies: animalsList),
  EmojiCategory(
      id: 2,
      key: foodsKey,
      name: 'Food',
      symbolURL: 'assets/icons/food.png',
      emojies: foodList),
  EmojiCategory(
      id: 3,
      key: activitiesKey,
      name: 'Activity',
      symbolURL: 'assets/icons/activity.png',
      emojies: activityList),
  EmojiCategory(
      id: 4,
      key: travelKey,
      name: 'Travel',
      symbolURL: 'assets/icons/travel.png',
      emojies: travelList),
  EmojiCategory(
      id: 5,
      key: objectsKey,
      name: 'Objects',
      symbolURL: 'assets/icons/objects.png',
      emojies: objectsList),
  EmojiCategory(
      id: 6,
      key: symbolsKey,
      name: 'Symbols',
      symbolURL: 'assets/icons/symbols.png',
      emojies: symbolsList),
  EmojiCategory(
      id: 7,
      key: flagsKey,
      name: 'Flags',
      symbolURL: 'assets/icons/flags.png',
      emojies: flagsList),
];

final List<Emoji> flagsList = [
  Emoji(keywords: [
    "af",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇦🇫"),
  Emoji(keywords: [
    "Åland",
    "islands",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇦🇽"),
  Emoji(keywords: [
    "al",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇦🇱"),
  Emoji(keywords: [
    "dz",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇩🇿"),
  Emoji(keywords: [
    "american",
    "ws",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇦🇸"),
  Emoji(keywords: [
    "ad",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇦🇩"),
  Emoji(keywords: [
    "ao",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇦🇴"),
  Emoji(keywords: [
    "ai",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇦🇮"),
  Emoji(keywords: [
    "aq",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇦🇶"),
  Emoji(keywords: [
    "antigua",
    "barbuda",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇦🇬"),
  Emoji(keywords: [
    "ar",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇦🇷"),
  Emoji(keywords: [
    "am",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇦🇲"),
  Emoji(keywords: [
    "aw",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇦🇼"),
  Emoji(keywords: [
    "au",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇦🇺"),
  Emoji(keywords: [
    "at",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇦🇹"),
  Emoji(keywords: [
    "az",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇦🇿"),
  Emoji(keywords: [
    "bs",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇸"),
  Emoji(keywords: [
    "bh",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇭"),
  Emoji(keywords: [
    "bd",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇩"),
  Emoji(keywords: [
    "bb",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇧"),
  Emoji(keywords: [
    "by",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇾"),
  Emoji(keywords: [
    "be",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇪"),
  Emoji(keywords: [
    "bz",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇿"),
  Emoji(keywords: [
    "bj",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇯"),
  Emoji(keywords: [
    "bm",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇲"),
  Emoji(keywords: [
    "bt",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇹"),
  Emoji(keywords: [
    "bo",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇴"),
  Emoji(keywords: [
    "bonaire",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇶"),
  Emoji(keywords: [
    "bosnia",
    "herzegovina",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇦"),
  Emoji(keywords: [
    "bw",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇼"),
  Emoji(keywords: [
    "br",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇷"),
  Emoji(keywords: [
    "british",
    "indian",
    "ocean",
    "territory",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇮🇴"),
  Emoji(keywords: [
    "british",
    "virgin",
    "islands",
    "bvi",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇻🇬"),
  Emoji(keywords: [
    "bn",
    "darussalam",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇳"),
  Emoji(keywords: [
    "bg",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇬"),
  Emoji(keywords: [
    "burkina",
    "faso",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇫"),
  Emoji(keywords: [
    "bi",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇮"),
  Emoji(keywords: [
    "cabo",
    "verde",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇨🇻"),
  Emoji(keywords: [
    "kh",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇰🇭"),
  Emoji(keywords: [
    "cm",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇨🇲"),
  Emoji(keywords: [
    "ca",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇨🇦"),
  Emoji(keywords: [
    "canary",
    "islands",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇮🇨"),
  Emoji(keywords: [
    "cayman",
    "islands",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇰🇾"),
  Emoji(keywords: [
    "central",
    "african",
    "republic",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇨🇫"),
  Emoji(keywords: [
    "td",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇹🇩"),
  Emoji(keywords: [
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇨🇱"),
  Emoji(keywords: [
    "china",
    "chinese",
    "prc",
    "flag",
    "country",
    "nation",
    "banner",
  ], emoji: "🇨🇳"),
  Emoji(keywords: [
    "christmas",
    "island",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇨🇽"),
  Emoji(keywords: [
    "cocos",
    "keeling",
    "islands",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇨🇨"),
  Emoji(keywords: [
    "co",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇨🇴"),
  Emoji(keywords: [
    "km",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇰🇲"),
  Emoji(keywords: [
    "congo",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇨🇬"),
  Emoji(keywords: [
    "congo",
    "democratic",
    "republic",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇨🇩"),
  Emoji(keywords: [
    "cook",
    "islands",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇨🇰"),
  Emoji(keywords: [
    "costa",
    "rica",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇨🇷"),
  Emoji(keywords: [
    "hr",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇭🇷"),
  Emoji(keywords: [
    "cu",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇨🇺"),
  Emoji(keywords: [
    "curaçao",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇨🇼"),
  Emoji(keywords: [
    "cy",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇨🇾"),
  Emoji(keywords: [
    "cz",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇨🇿"),
  Emoji(keywords: [
    "dk",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇩🇰"),
  Emoji(keywords: [
    "dj",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇩🇯"),
  Emoji(keywords: [
    "dm",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇩🇲"),
  Emoji(keywords: [
    "dominican",
    "republic",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇩🇴"),
  Emoji(keywords: [
    "ec",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇪🇨"),
  Emoji(keywords: [
    "eg",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇪🇬"),
  Emoji(keywords: [
    "el",
    "salvador",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇻"),
  Emoji(keywords: [
    "equatorial",
    "gn",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇬🇶"),
  Emoji(keywords: [
    "er",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇪🇷"),
  Emoji(keywords: [
    "ee",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇪🇪"),
  Emoji(keywords: [
    "et",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇪🇹"),
  Emoji(keywords: [
    "european",
    "union",
    "flag",
    "banner",
  ], emoji: "🇪🇺"),
  Emoji(keywords: [
    "falkland",
    "islands",
    "malvinas",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇫🇰"),
  Emoji(keywords: [
    "faroe",
    "islands",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇫🇴"),
  Emoji(keywords: [
    "fj",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇫🇯"),
  Emoji(keywords: [
    "fi",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇫🇮"),
  Emoji(keywords: [
    "banner",
    "flag",
    "nation",
    "france",
    "french",
    "country",
  ], emoji: "🇫🇷"),
  Emoji(keywords: [
    "french",
    "guiana",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇬🇫"),
  Emoji(keywords: [
    "french",
    "polynesia",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇵🇫"),
  Emoji(keywords: [
    "french",
    "southern",
    "territories",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇹🇫"),
  Emoji(keywords: [
    "ga",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇬🇦"),
  Emoji(keywords: [
    "gm",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇬🇲"),
  Emoji(keywords: [
    "ge",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇬🇪"),
  Emoji(keywords: [
    "german",
    "nation",
    "flag",
    "country",
    "banner",
  ], emoji: "🇩🇪"),
  Emoji(keywords: [
    "gh",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇬🇭"),
  Emoji(keywords: [
    "gi",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇬🇮"),
  Emoji(keywords: [
    "gr",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇬🇷"),
  Emoji(keywords: [
    "gl",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇬🇱"),
  Emoji(keywords: [
    "gd",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇬🇩"),
  Emoji(keywords: [
    "gp",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇬🇵"),
  Emoji(keywords: [
    "gu",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇬🇺"),
  Emoji(keywords: [
    "gt",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇬🇹"),
  Emoji(keywords: [
    "gg",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇬🇬"),
  Emoji(keywords: [
    "gn",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇬🇳"),
  Emoji(keywords: [
    "gw",
    "bissau",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇬🇼"),
  Emoji(keywords: [
    "gy",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇬🇾"),
  Emoji(keywords: [
    "ht",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇭🇹"),
  Emoji(keywords: [
    "hn",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇭🇳"),
  Emoji(keywords: [
    "hong",
    "kong",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇭🇰"),
  Emoji(keywords: [
    "hu",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇭🇺"),
  Emoji(keywords: [
    "is",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇮🇸"),
  Emoji(keywords: [
    "in",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇮🇳"),
  Emoji(keywords: [
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇮🇩"),
  Emoji(keywords: [
    "iran,",
    "islamic",
    "republic",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇮🇷"),
  Emoji(keywords: [
    "iq",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇮🇶"),
  Emoji(keywords: [
    "ie",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇮🇪"),
  Emoji(keywords: [
    "isle",
    "man",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇮🇲"),
  Emoji(keywords: [
    "il",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇮🇱"),
  Emoji(keywords: [
    "italy",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇮🇹"),
  Emoji(keywords: [
    "ivory",
    "coast",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇨🇮"),
  Emoji(keywords: [
    "jm",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇯🇲"),
  Emoji(keywords: [
    "japanese",
    "nation",
    "flag",
    "country",
    "banner",
  ], emoji: "🇯🇵"),
  Emoji(keywords: [
    "je",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇯🇪"),
  Emoji(keywords: [
    "jo",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇯🇴"),
  Emoji(keywords: [
    "kz",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇰🇿"),
  Emoji(keywords: [
    "ke",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇰🇪"),
  Emoji(keywords: [
    "ki",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇰🇮"),
  Emoji(keywords: [
    "xk",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇽🇰"),
  Emoji(keywords: [
    "kw",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇰🇼"),
  Emoji(keywords: [
    "kg",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇰🇬"),
  Emoji(keywords: [
    "lao",
    "democratic",
    "republic",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇱🇦"),
  Emoji(keywords: [
    "lv",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇱🇻"),
  Emoji(keywords: [
    "lb",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇱🇧"),
  Emoji(keywords: [
    "ls",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇱🇸"),
  Emoji(keywords: [
    "lr",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇱🇷"),
  Emoji(keywords: [
    "ly",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇱🇾"),
  Emoji(keywords: [
    "li",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇱🇮"),
  Emoji(keywords: [
    "lt",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇱🇹"),
  Emoji(keywords: [
    "lu",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇱🇺"),
  Emoji(keywords: [
    "macao",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇴"),
  Emoji(keywords: [
    "macedonia,",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇰"),
  Emoji(keywords: [
    "mg",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇬"),
  Emoji(keywords: [
    "mw",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇼"),
  Emoji(keywords: [
    "my",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇾"),
  Emoji(keywords: [
    "mv",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇻"),
  Emoji(keywords: [
    "ml",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇱"),
  Emoji(keywords: [
    "mt",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇹"),
  Emoji(keywords: [
    "marshall",
    "islands",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇭"),
  Emoji(keywords: [
    "mq",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇶"),
  Emoji(keywords: [
    "mr",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇷"),
  Emoji(keywords: [
    "mu",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇺"),
  Emoji(keywords: [
    "yt",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇾🇹"),
  Emoji(keywords: [
    "mx",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇽"),
  Emoji(keywords: [
    "micronesia,",
    "federated",
    "states",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇫🇲"),
  Emoji(keywords: [
    "moldova,",
    "republic",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇩"),
  Emoji(keywords: [
    "mc",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇨"),
  Emoji(keywords: [
    "mn",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇳"),
  Emoji(keywords: [
    "me",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇪"),
  Emoji(keywords: [
    "ms",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇸"),
  Emoji(keywords: [
    "ma",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇦"),
  Emoji(keywords: [
    "mz",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇿"),
  Emoji(keywords: [
    "mm",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇲"),
  Emoji(keywords: [
    "na",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇳🇦"),
  Emoji(keywords: [
    "nr",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇳🇷"),
  Emoji(keywords: [
    "np",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇳🇵"),
  Emoji(keywords: [
    "nl",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇳🇱"),
  Emoji(keywords: [
    "new",
    "caledonia",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇳🇨"),
  Emoji(keywords: [
    "new",
    "zealand",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇳🇿"),
  Emoji(keywords: [
    "ni",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇳🇮"),
  Emoji(keywords: [
    "ne",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇳🇪"),
  Emoji(keywords: [
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇳🇬"),
  Emoji(keywords: [
    "nu",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇳🇺"),
  Emoji(keywords: [
    "norfolk",
    "island",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇳🇫"),
  Emoji(keywords: [
    "northern",
    "mariana",
    "islands",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇲🇵"),
  Emoji(keywords: [
    "north",
    "korea",
    "nation",
    "flag",
    "country",
    "banner",
  ], emoji: "🇰🇵"),
  Emoji(keywords: [
    "no",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇳🇴"),
  Emoji(keywords: [
    "om_symbol",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇴🇲"),
  Emoji(keywords: [
    "pk",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇵🇰"),
  Emoji(keywords: [
    "pw",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇵🇼"),
  Emoji(keywords: [
    "palestine",
    "palestinian",
    "territories",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇵🇸"),
  Emoji(keywords: [
    "pa",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇵🇦"),
  Emoji(keywords: [
    "papua",
    "new",
    "guinea",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇵🇬"),
  Emoji(keywords: [
    "py",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇵🇾"),
  Emoji(keywords: [
    "pe",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇵🇪"),
  Emoji(keywords: [
    "ph",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇵🇭"),
  Emoji(keywords: [
    "pitcairn",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇵🇳"),
  Emoji(keywords: [
    "pl",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇵🇱"),
  Emoji(keywords: [
    "pt",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇵🇹"),
  Emoji(keywords: [
    "puerto",
    "rico",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇵🇷"),
  Emoji(keywords: [
    "qa",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇶🇦"),
  Emoji(keywords: [
    "réunion",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇷🇪"),
  Emoji(keywords: [
    "ro",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇷🇴"),
  Emoji(keywords: [
    "russian",
    "federation",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇷🇺"),
  Emoji(keywords: [
    "rw",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇷🇼"),
  Emoji(keywords: [
    "saint",
    "barthélemy",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇧🇱"),
  Emoji(keywords: [
    "saint",
    "helena",
    "ascension",
    "tristan",
    "cunha",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇭"),
  Emoji(keywords: [
    "saint",
    "kitts",
    "nevis",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇰🇳"),
  Emoji(keywords: [
    "saint",
    "lucia",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇱🇨"),
  Emoji(keywords: [
    "saint",
    "pierre",
    "miquelon",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇵🇲"),
  Emoji(keywords: [
    "saint",
    "vincent",
    "grenadines",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇻🇨"),
  Emoji(keywords: [
    "ws",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇼🇸"),
  Emoji(keywords: [
    "san",
    "marino",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇲"),
  Emoji(keywords: [
    "sao",
    "tome",
    "principe",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇹"),
  Emoji(keywords: [
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇦"),
  Emoji(keywords: [
    "sn",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇳"),
  Emoji(keywords: [
    "rs",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇷🇸"),
  Emoji(keywords: [
    "sc",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇨"),
  Emoji(keywords: [
    "sierra",
    "leone",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇱"),
  Emoji(keywords: [
    "sg",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇬"),
  Emoji(keywords: [
    "sint",
    "maarten",
    "dutch",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇽"),
  Emoji(keywords: [
    "sk",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇰"),
  Emoji(keywords: [
    "si",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇮"),
  Emoji(keywords: [
    "solomon",
    "islands",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇧"),
  Emoji(keywords: [
    "so",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇴"),
  Emoji(keywords: [
    "south",
    "africa",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇿🇦"),
  Emoji(keywords: [
    "south",
    "georgia",
    "sandwich",
    "islands",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇬🇸"),
  Emoji(keywords: [
    "south",
    "korea",
    "nation",
    "flag",
    "country",
    "banner",
  ], emoji: "🇰🇷"),
  Emoji(keywords: [
    "south",
    "sd",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇸"),
  Emoji(keywords: [
    "spain",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇪🇸"),
  Emoji(keywords: [
    "sri",
    "lanka",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇱🇰"),
  Emoji(keywords: [
    "sd",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇩"),
  Emoji(keywords: [
    "sr",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇷"),
  Emoji(keywords: [
    "sz",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇿"),
  Emoji(keywords: [
    "se",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇪"),
  Emoji(keywords: [
    "ch",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇨🇭"),
  Emoji(keywords: [
    "syrian",
    "arab",
    "republic",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇸🇾"),
  Emoji(keywords: [
    "tw",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇹🇼"),
  Emoji(keywords: [
    "tj",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇹🇯"),
  Emoji(keywords: [
    "tanzania,",
    "united",
    "republic",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇹🇿"),
  Emoji(keywords: [
    "th",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇹🇭"),
  Emoji(keywords: [
    "timor",
    "leste",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇹🇱"),
  Emoji(keywords: [
    "tg",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇹🇬"),
  Emoji(keywords: [
    "tk",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇹🇰"),
  Emoji(keywords: [
    "to",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇹🇴"),
  Emoji(keywords: [
    "trinidad",
    "tobago",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇹🇹"),
  Emoji(keywords: [
    "tn",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇹🇳"),
  Emoji(keywords: [
    "turkey",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇹🇷"),
  Emoji(keywords: [
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇹🇲"),
  Emoji(keywords: [
    "turks",
    "caicos",
    "islands",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇹🇨"),
  Emoji(keywords: [
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇹🇻"),
  Emoji(keywords: [
    "ug",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇺🇬"),
  Emoji(keywords: [
    "ua",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇺🇦"),
  Emoji(keywords: [
    "united",
    "arab",
    "emirates",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇦🇪"),
  Emoji(keywords: [
    "united",
    "kingdom",
    "great",
    "britain",
    "northern",
    "ireland",
    "flag",
    "nation",
    "country",
    "banner",
    "british",
    "UK",
    "english",
    "england",
    "union jack",
  ], emoji: "🇬🇧"),
  Emoji(keywords: [
    "flag",
    "english",
  ], emoji: "🏴󠁧󠁢󠁥󠁮󠁧󠁿"),
  Emoji(keywords: [
    "flag",
    "scottish",
  ], emoji: "🏴󠁧󠁢󠁳󠁣󠁴󠁿"),
  Emoji(keywords: [
    "flag",
    "welsh",
  ], emoji: "🏴󠁧󠁢󠁷󠁬󠁳󠁿"),
  Emoji(keywords: [
    "united",
    "states",
    "america",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇺🇸"),
  Emoji(keywords: [
    "virgin",
    "islands",
    "us",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇻🇮"),
  Emoji(keywords: [
    "uy",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇺🇾"),
  Emoji(keywords: [
    "uz",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇺🇿"),
  Emoji(keywords: [
    "vu",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇻🇺"),
  Emoji(keywords: [
    "vatican",
    "city",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇻🇦"),
  Emoji(keywords: [
    "ve",
    "bolivarian",
    "republic",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇻🇪"),
  Emoji(keywords: [
    "viet",
    "nam",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇻🇳"),
  Emoji(keywords: [
    "wallis",
    "futuna",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇼🇫"),
  Emoji(keywords: [
    "western",
    "sahara",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇪🇭"),
  Emoji(keywords: [
    "ye",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇾🇪"),
  Emoji(keywords: [
    "zm",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇿🇲"),
  Emoji(keywords: [
    "zw",
    "flag",
    "nation",
    "country",
    "banner",
  ], emoji: "🇿🇼"),
  Emoji(keywords: [
    "un",
    "flag",
    "banner",
  ], emoji: "🇺🇳"),
  Emoji(keywords: [
    "skull",
    "crossbones",
    "flag",
    "banner",
  ], emoji: "🏴‍☠️"),
];

final List<Emoji> symbolsList = [
  Emoji(keywords: [
    "love",
    "like",
    "valentines",
  ], emoji: "❤️"),
  Emoji(keywords: [
    "love",
    "like",
    "affection",
    "valentines",
  ], emoji: "🧡"),
  Emoji(keywords: [
    "love",
    "like",
    "affection",
    "valentines",
  ], emoji: "💛"),
  Emoji(keywords: [
    "love",
    "like",
    "affection",
    "valentines",
  ], emoji: "💚"),
  Emoji(keywords: [
    "love",
    "like",
    "affection",
    "valentines",
  ], emoji: "💙"),
  Emoji(keywords: [
    "love",
    "like",
    "affection",
    "valentines",
  ], emoji: "💜"),
  Emoji(keywords: [
    "evil",
  ], emoji: "🖤"),
  Emoji(keywords: [
    "sad",
    "sorry",
    "break",
    "heart",
    "heartbreak",
  ], emoji: "💔"),
  Emoji(keywords: [
    "decoration",
    "love",
  ], emoji: "❣"),
  Emoji(keywords: [
    "love",
    "like",
    "affection",
    "valentines",
    "heart",
  ], emoji: "💕"),
  Emoji(keywords: [
    "love",
    "like",
    "affection",
    "valentines",
  ], emoji: "💞"),
  Emoji(keywords: [
    "love",
    "like",
    "affection",
    "valentines",
    "pink",
    "heart",
  ], emoji: "💓"),
  Emoji(keywords: [
    "like",
    "love",
    "affection",
    "valentines",
    "pink",
  ], emoji: "💗"),
  Emoji(keywords: [
    "love",
    "like",
    "affection",
    "valentines",
  ], emoji: "💖"),
  Emoji(keywords: [
    "love",
    "like",
    "heart",
    "affection",
    "valentines",
  ], emoji: "💘"),
  Emoji(keywords: [
    "love",
    "valentines",
  ], emoji: "💝"),
  Emoji(keywords: [
    "purple-square",
    "love",
    "like",
  ], emoji: "💟"),
  Emoji(keywords: [
    "hippie",
  ], emoji: "☮"),
  Emoji(keywords: [
    "christianity",
  ], emoji: "✝"),
  Emoji(keywords: [
    "islam",
  ], emoji: "☪"),
  Emoji(keywords: [
    "hinduism",
    "buddhism",
    "sikhism",
    "jainism",
  ], emoji: "🕉"),
  Emoji(keywords: [
    "hinduism",
    "buddhism",
    "sikhism",
    "jainism",
  ], emoji: "☸"),
  Emoji(keywords: [
    "judaism",
  ], emoji: "✡"),
  Emoji(keywords: [
    "purple-square",
    "religion",
    "jewish",
    "hexagram",
  ], emoji: "🔯"),
  Emoji(keywords: [
    "hanukkah",
    "candles",
    "jewish",
  ], emoji: "🕎"),
  Emoji(keywords: [
    "balance",
  ], emoji: "☯"),
  Emoji(keywords: [
    "suppedaneum",
    "religion",
  ], emoji: "☦"),
  Emoji(keywords: [
    "religion",
    "church",
    "temple",
    "prayer",
  ], emoji: "🛐"),
  Emoji(keywords: [
    "sign",
    "purple-square",
    "constellation",
    "astrology",
  ], emoji: "⛎"),
  Emoji(keywords: [
    "sign",
    "purple-square",
    "zodiac",
    "astrology",
  ], emoji: "♈"),
  Emoji(keywords: [
    "purple-square",
    "sign",
    "zodiac",
    "astrology",
  ], emoji: "♉"),
  Emoji(keywords: [
    "sign",
    "zodiac",
    "purple-square",
    "astrology",
  ], emoji: "♊"),
  Emoji(keywords: [
    "sign",
    "zodiac",
    "purple-square",
    "astrology",
  ], emoji: "♋"),
  Emoji(keywords: [
    "sign",
    "purple-square",
    "zodiac",
    "astrology",
  ], emoji: "♌"),
  Emoji(keywords: [
    "sign",
    "zodiac",
    "purple-square",
    "astrology",
  ], emoji: "♍"),
  Emoji(keywords: [
    "sign",
    "purple-square",
    "zodiac",
    "astrology",
  ], emoji: "♎"),
  Emoji(keywords: [
    "sign",
    "zodiac",
    "purple-square",
    "astrology",
    "scorpio",
  ], emoji: "♏"),
  Emoji(keywords: [
    "sign",
    "zodiac",
    "purple-square",
    "astrology",
  ], emoji: "♐"),
  Emoji(keywords: [
    "sign",
    "zodiac",
    "purple-square",
    "astrology",
  ], emoji: "♑"),
  Emoji(keywords: [
    "sign",
    "purple-square",
    "zodiac",
    "astrology",
  ], emoji: "♒"),
  Emoji(keywords: [
    "purple-square",
    "sign",
    "zodiac",
    "astrology",
  ], emoji: "♓"),
  Emoji(keywords: [
    "purple-square",
    "words",
  ], emoji: "🆔"),
  Emoji(keywords: [
    "science",
    "physics",
    "chemistry",
  ], emoji: "⚛"),
  Emoji(keywords: [
    "kanji",
    "japanese",
    "chinese",
    "empty",
    "sky",
    "blue-square",
  ], emoji: "🈳"),
  Emoji(keywords: [
    "cut",
    "divide",
    "chinese",
    "kanji",
    "pink-square",
  ], emoji: "🈹"),
  Emoji(keywords: [
    "nuclear",
    "danger",
  ], emoji: "☢"),
  Emoji(keywords: [
    "danger",
  ], emoji: "☣"),
  Emoji(keywords: [
    "mute",
    "orange-square",
    "silence",
    "quiet",
  ], emoji: "📴"),
  Emoji(keywords: [
    "orange-square",
    "phone",
  ], emoji: "📳"),
  Emoji(keywords: [
    "orange-square",
    "chinese",
    "have",
    "kanji",
  ], emoji: "🈶"),
  Emoji(keywords: [
    "nothing",
    "chinese",
    "kanji",
    "japanese",
    "orange-square",
  ], emoji: "🈚"),
  Emoji(keywords: [
    "chinese",
    "japanese",
    "kanji",
    "orange-square",
  ], emoji: "🈸"),
  Emoji(keywords: [
    "japanese",
    "opening hours",
    "orange-square",
  ], emoji: "🈺"),
  Emoji(keywords: [
    "chinese",
    "month",
    "moon",
    "japanese",
    "orange-square",
    "kanji",
  ], emoji: "🈷️"),
  Emoji(keywords: [
    "orange-square",
    "shape",
    "polygon",
  ], emoji: "✴️"),
  Emoji(keywords: [
    "words",
    "orange-square",
  ], emoji: "🆚"),
  Emoji(keywords: [
    "ok",
    "good",
    "chinese",
    "kanji",
    "agree",
    "yes",
    "orange-circle",
  ], emoji: "🉑"),
  Emoji(keywords: [
    "japanese",
    "spring",
  ], emoji: "💮"),
  Emoji(keywords: [
    "chinese",
    "kanji",
    "obtain",
    "get",
    "circle",
  ], emoji: "🉐"),
  Emoji(keywords: [
    "privacy",
    "chinese",
    "sshh",
    "kanji",
    "red-circle",
  ], emoji: "㊙️"),
  Emoji(keywords: [
    "chinese",
    "kanji",
    "japanese",
    "red-circle",
  ], emoji: "㊗️"),
  Emoji(keywords: [
    "japanese",
    "chinese",
    "join",
    "kanji",
    "red-square",
  ], emoji: "🈴"),
  Emoji(keywords: [
    "full",
    "chinese",
    "japanese",
    "red-square",
    "kanji",
  ], emoji: "🈵"),
  Emoji(keywords: [
    "kanji",
    "japanese",
    "chinese",
    "forbidden",
    "limit",
    "restricted",
    "red-square",
  ], emoji: "🈲"),
  Emoji(keywords: [
    "red-square",
    "alphabet",
    "letter",
  ], emoji: "🅰️"),
  Emoji(keywords: [
    "red-square",
    "alphabet",
    "letter",
  ], emoji: "🅱️"),
  Emoji(keywords: [
    "red-square",
    "alphabet",
  ], emoji: "🆎"),
  Emoji(keywords: [
    "alphabet",
    "words",
    "red-square",
  ], emoji: "🆑"),
  Emoji(keywords: [
    "alphabet",
    "red-square",
    "letter",
  ], emoji: "🅾️"),
  Emoji(keywords: [
    "help",
    "red-square",
    "words",
    "emergency",
    "911",
  ], emoji: "🆘"),
  Emoji(keywords: [
    "limit",
    "security",
    "privacy",
    "bad",
    "denied",
    "stop",
    "circle",
  ], emoji: "⛔"),
  Emoji(keywords: [
    "fire",
    "forbid",
  ], emoji: "📛"),
  Emoji(keywords: [
    "forbid",
    "stop",
    "limit",
    "denied",
    "disallow",
    "circle",
  ], emoji: "🚫"),
  Emoji(keywords: [
    "no",
    "delete",
    "remove",
    "cancel",
    "red",
  ], emoji: "❌"),
  Emoji(keywords: [
    "circle",
    "round",
  ], emoji: "⭕"),
  Emoji(keywords: [
    "stop",
  ], emoji: "🛑"),
  Emoji(keywords: [
    "angry",
    "mad",
  ], emoji: "💢"),
  Emoji(keywords: [
    "bath",
    "warm",
    "relax",
  ], emoji: "♨️"),
  Emoji(keywords: [
    "rules",
    "crossing",
    "walking",
    "circle",
  ], emoji: "🚷"),
  Emoji(keywords: [
    "trash",
    "bin",
    "garbage",
    "circle",
  ], emoji: "🚯"),
  Emoji(keywords: [
    "cyclist",
    "prohibited",
    "circle",
  ], emoji: "🚳"),
  Emoji(keywords: [
    "drink",
    "faucet",
    "tap",
    "circle",
  ], emoji: "🚱"),
  Emoji(keywords: [
    "18",
    "drink",
    "pub",
    "night",
    "minor",
    "circle",
  ], emoji: "🔞"),
  Emoji(keywords: [
    "iphone",
    "mute",
    "circle",
  ], emoji: "📵"),
  Emoji(keywords: [
    "heavy_exclamation_mark",
    "danger",
    "surprise",
    "punctuation",
    "wow",
    "warning",
  ], emoji: "❗"),
  Emoji(keywords: [
    "surprise",
    "punctuation",
    "gray",
    "wow",
    "warning",
  ], emoji: "❕"),
  Emoji(keywords: [
    "doubt",
    "confused",
  ], emoji: "❓"),
  Emoji(keywords: [
    "doubts",
    "gray",
    "huh",
    "confused",
  ], emoji: "❔"),
  Emoji(keywords: [
    "exclamation",
    "surprise",
  ], emoji: "‼️"),
  Emoji(keywords: [
    "wat",
    "punctuation",
    "surprise",
  ], emoji: "⁉️"),
  Emoji(keywords: [
    "score",
    "perfect",
    "numbers",
    "century",
    "exam",
    "quiz",
    "test",
    "pass",
    "hundred",
  ], emoji: "💯"),
  Emoji(keywords: [
    "sun",
    "afternoon",
    "warm",
    "summer",
  ], emoji: "🔅"),
  Emoji(keywords: [
    "sun",
    "light",
  ], emoji: "🔆"),
  Emoji(keywords: [
    "weapon",
    "spear",
  ], emoji: "🔱"),
  Emoji(keywords: [
    "decorative",
    "scout",
  ], emoji: "⚜"),
  Emoji(keywords: [
    "graph",
    "presentation",
    "stats",
    "business",
    "economics",
    "bad",
  ], emoji: "〽️"),
  Emoji(keywords: [
    "exclamation",
    "wip",
    "alert",
    "error",
    "problem",
    "issue",
  ], emoji: "⚠️"),
  Emoji(keywords: [
    "school",
    "warning",
    "danger",
    "sign",
    "driving",
    "yellow-diamond",
  ], emoji: "🚸"),
  Emoji(keywords: [
    "badge",
    "shield",
  ], emoji: "🔰"),
  Emoji(keywords: [
    "arrow",
    "environment",
    "garbage",
    "trash",
  ], emoji: "♻️"),
  Emoji(keywords: [
    "chinese",
    "point",
    "green-square",
    "kanji",
  ], emoji: "🈯"),
  Emoji(keywords: [
    "green-square",
    "graph",
    "presentation",
    "stats",
  ], emoji: "💹"),
  Emoji(keywords: [
    "stars",
    "green-square",
    "awesome",
    "good",
    "fireworks",
  ], emoji: "❇️"),
  Emoji(keywords: [
    "star",
    "sparkle",
    "green-square",
  ], emoji: "✳️"),
  Emoji(keywords: [
    "x",
    "green-square",
    "no",
    "deny",
  ], emoji: "❎"),
  Emoji(keywords: [
    "green-square",
    "ok",
    "agree",
    "vote",
    "election",
    "answer",
    "tick",
  ], emoji: "✅"),
  Emoji(keywords: [
    "jewel",
    "blue",
    "gem",
    "crystal",
    "fancy",
  ], emoji: "💠"),
  Emoji(keywords: [
    "weather",
    "swirl",
    "blue",
    "cloud",
    "vortex",
    "spiral",
    "whirlpool",
    "spin",
    "tornado",
    "hurricane",
    "typhoon",
  ], emoji: "🌀"),
  Emoji(keywords: [
    "tape",
    "cassette",
  ], emoji: "➿"),
  Emoji(keywords: [
    "earth",
    "international",
    "world",
    "internet",
    "interweb",
    "i18n",
  ], emoji: "🌐"),
  Emoji(keywords: [
    "alphabet",
    "blue-circle",
    "letter",
  ], emoji: "Ⓜ️"),
  Emoji(keywords: [
    "money",
    "sales",
    "cash",
    "blue-square",
    "payment",
    "bank",
  ], emoji: "🏧"),
  Emoji(keywords: [
    "japanese",
    "blue-square",
    "katakana",
  ], emoji: "🈂️"),
  Emoji(keywords: [
    "custom",
    "blue-square",
  ], emoji: "🛂"),
  Emoji(keywords: [
    "passport",
    "border",
    "blue-square",
  ], emoji: "🛃"),
  Emoji(keywords: [
    "blue-square",
    "airport",
    "transport",
  ], emoji: "🛄"),
  Emoji(keywords: [
    "blue-square",
    "travel",
  ], emoji: "🛅"),
  Emoji(keywords: [
    "blue-square",
    "disabled",
    "a11y",
    "accessibility",
  ], emoji: "♿"),
  Emoji(keywords: [
    "cigarette",
    "blue-square",
    "smell",
    "smoke",
  ], emoji: "🚭"),
  Emoji(keywords: [
    "toilet",
    "restroom",
    "blue-square",
  ], emoji: "🚾"),
  Emoji(keywords: [
    "cars",
    "blue-square",
    "alphabet",
    "letter",
  ], emoji: "🅿️"),
  Emoji(keywords: [
    "blue-square",
    "liquid",
    "restroom",
    "cleaning",
    "faucet",
  ], emoji: "🚰"),
  Emoji(keywords: [
    "toilet",
    "restroom",
    "wc",
    "blue-square",
    "gender",
    "male",
  ], emoji: "🚹"),
  Emoji(keywords: [
    "purple-square",
    "woman",
    "female",
    "toilet",
    "loo",
    "restroom",
    "gender",
  ], emoji: "🚺"),
  Emoji(keywords: [
    "orange-square",
    "child",
  ], emoji: "🚼"),
  Emoji(keywords: [
    "blue-square",
    "toilet",
    "refresh",
    "wc",
    "gender",
  ], emoji: "🚻"),
  Emoji(keywords: [
    "blue-square",
    "sign",
    "human",
    "info",
  ], emoji: "🚮"),
  Emoji(keywords: [
    "blue-square",
    "record",
    "film",
    "movie",
    "curtain",
    "stage",
    "theater",
  ], emoji: "🎦"),
  Emoji(keywords: [
    "blue-square",
    "reception",
    "phone",
    "internet",
    "connection",
    "wifi",
    "bluetooth",
    "bars",
  ], emoji: "📶"),
  Emoji(keywords: [
    "blue-square",
    "here",
    "katakana",
    "japanese",
    "destination",
  ], emoji: "🈁"),
  Emoji(keywords: [
    "blue-square",
    "words",
    "shape",
    "icon",
  ], emoji: "🆖"),
  Emoji(keywords: [
    "good",
    "agree",
    "yes",
    "blue-square",
  ], emoji: "🆗"),
  Emoji(keywords: [
    "blue-square",
    "above",
    "high",
  ], emoji: "🆙"),
  Emoji(keywords: [
    "words",
    "blue-square",
  ], emoji: "🆒"),
  Emoji(keywords: [
    "blue-square",
    "words",
    "start",
  ], emoji: "🆕"),
  Emoji(keywords: [
    "blue-square",
    "words",
  ], emoji: "🆓"),
  Emoji(keywords: [
    "0",
    "numbers",
    "blue-square",
    "null",
  ], emoji: "0️⃣"),
  Emoji(keywords: [
    "blue-square",
    "numbers",
    "1",
  ], emoji: "1️⃣"),
  Emoji(keywords: [
    "numbers",
    "2",
    "prime",
    "blue-square",
  ], emoji: "2️⃣"),
  Emoji(keywords: [
    "3",
    "numbers",
    "prime",
    "blue-square",
  ], emoji: "3️⃣"),
  Emoji(keywords: [
    "4",
    "numbers",
    "blue-square",
  ], emoji: "4️⃣"),
  Emoji(keywords: [
    "5",
    "numbers",
    "blue-square",
    "prime",
  ], emoji: "5️⃣"),
  Emoji(keywords: [
    "6",
    "numbers",
    "blue-square",
  ], emoji: "6️⃣"),
  Emoji(keywords: [
    "7",
    "numbers",
    "blue-square",
    "prime",
  ], emoji: "7️⃣"),
  Emoji(keywords: [
    "8",
    "blue-square",
    "numbers",
  ], emoji: "8️⃣"),
  Emoji(keywords: [
    "blue-square",
    "numbers",
    "9",
  ], emoji: "9️⃣"),
  Emoji(keywords: [
    "numbers",
    "10",
    "blue-square",
  ], emoji: "🔟"),
  Emoji(keywords: [
    "star",
    "keycap",
  ], emoji: "*⃣"),
  Emoji(keywords: [
    "numbers",
    "blue-square",
  ], emoji: "🔢"),
  Emoji(keywords: [
    "blue-square",
  ], emoji: "⏏️"),
  Emoji(keywords: [
    "blue-square",
    "right",
    "direction",
    "play",
  ], emoji: "▶️"),
  Emoji(keywords: [
    "pause",
    "blue-square",
  ], emoji: "⏸"),
  Emoji(keywords: [
    "forward",
    "next",
    "blue-square",
  ], emoji: "⏭"),
  Emoji(keywords: [
    "blue-square",
  ], emoji: "⏹"),
  Emoji(keywords: [
    "blue-square",
  ], emoji: "⏺"),
  Emoji(keywords: [
    "blue-square",
    "play",
    "pause",
  ], emoji: "⏯"),
  Emoji(keywords: [
    "backward",
  ], emoji: "⏮"),
  Emoji(keywords: [
    "blue-square",
    "play",
    "speed",
    "continue",
  ], emoji: "⏩"),
  Emoji(keywords: [
    "play",
    "blue-square",
  ], emoji: "⏪"),
  Emoji(keywords: [
    "blue-square",
    "shuffle",
    "music",
    "random",
  ], emoji: "🔀"),
  Emoji(keywords: [
    "loop",
    "record",
  ], emoji: "🔁"),
  Emoji(keywords: [
    "blue-square",
    "loop",
  ], emoji: "🔂"),
  Emoji(keywords: [
    "blue-square",
    "left",
    "direction",
  ], emoji: "◀️"),
  Emoji(keywords: [
    "blue-square",
    "triangle",
    "direction",
    "point",
    "forward",
    "top",
  ], emoji: "🔼"),
  Emoji(keywords: [
    "blue-square",
    "direction",
    "bottom",
  ], emoji: "🔽"),
  Emoji(keywords: [
    "blue-square",
    "direction",
    "top",
  ], emoji: "⏫"),
  Emoji(keywords: [
    "blue-square",
    "direction",
    "bottom",
  ], emoji: "⏬"),
  Emoji(keywords: [
    "blue-square",
    "next",
  ], emoji: "➡️"),
  Emoji(keywords: [
    "blue-square",
    "previous",
    "back",
  ], emoji: "⬅️"),
  Emoji(keywords: [
    "blue-square",
    "continue",
    "top",
    "direction",
  ], emoji: "⬆️"),
  Emoji(keywords: [
    "blue-square",
    "direction",
    "bottom",
  ], emoji: "⬇️"),
  Emoji(keywords: [
    "blue-square",
    "point",
    "direction",
    "diagonal",
    "northeast",
  ], emoji: "↗️"),
  Emoji(keywords: [
    "blue-square",
    "direction",
    "diagonal",
    "southeast",
  ], emoji: "↘️"),
  Emoji(keywords: [
    "blue-square",
    "direction",
    "diagonal",
    "southwest",
  ], emoji: "↙️"),
  Emoji(keywords: [
    "blue-square",
    "point",
    "direction",
    "diagonal",
    "northwest",
  ], emoji: "↖️"),
  Emoji(keywords: [
    "blue-square",
    "direction",
    "way",
    "vertical",
  ], emoji: "↕️"),
  Emoji(keywords: [
    "shape",
    "direction",
    "horizontal",
    "sideways",
  ], emoji: "↔️"),
  Emoji(keywords: [
    "blue-square",
    "sync",
    "cycle",
  ], emoji: "🔄"),
  Emoji(keywords: [
    "blue-square",
    "return",
    "rotate",
    "direction",
  ], emoji: "↪️"),
  Emoji(keywords: [
    "back",
    "return",
    "blue-square",
    "undo",
    "enter",
  ], emoji: "↩️"),
  Emoji(keywords: [
    "blue-square",
    "direction",
    "top",
  ], emoji: "⤴️"),
  Emoji(keywords: [
    "blue-square",
    "direction",
    "bottom",
  ], emoji: "⤵️"),
  Emoji(keywords: [
    "symbol",
    "blue-square",
    "twitter",
  ], emoji: "#️⃣"),
  Emoji(keywords: [
    "blue-square",
    "alphabet",
    "letter",
  ], emoji: "ℹ️"),
  Emoji(keywords: [
    "blue-square",
    "alphabet",
  ], emoji: "🔤"),
  Emoji(keywords: [
    "blue-square",
    "alphabet",
  ], emoji: "🔡"),
  Emoji(keywords: [
    "alphabet",
    "words",
    "blue-square",
  ], emoji: "🔠"),
  Emoji(keywords: [
    "blue-square",
    "music",
    "note",
    "ampersand",
    "percent",
    "glyphs",
    "characters",
  ], emoji: "🔣"),
  Emoji(keywords: [
    "score",
    "tone",
    "sound",
  ], emoji: "🎵"),
  Emoji(keywords: [
    "music",
    "score",
  ], emoji: "🎶"),
  Emoji(keywords: [
    "draw",
    "line",
    "moustache",
    "mustache",
    "squiggle",
    "scribble",
  ], emoji: "〰️"),
  Emoji(keywords: [
    "scribble",
    "draw",
    "shape",
    "squiggle",
  ], emoji: "➰"),
  Emoji(keywords: [
    "ok",
    "nike",
    "answer",
    "yes",
    "tick",
  ], emoji: "✔️"),
  Emoji(keywords: [
    "sync",
    "cycle",
    "round",
    "repeat",
  ], emoji: "🔃"),
  Emoji(keywords: [
    "math",
    "calculation",
    "addition",
    "more",
    "increase",
  ], emoji: "➕"),
  Emoji(keywords: [
    "math",
    "calculation",
    "subtract",
    "less",
  ], emoji: "➖"),
  Emoji(keywords: [
    "divide",
    "math",
    "calculation",
  ], emoji: "➗"),
  Emoji(keywords: [
    "math",
    "calculation",
  ], emoji: "✖️"),
  Emoji(keywords: [
    "forever",
  ], emoji: "♾"),
  Emoji(keywords: [
    "money",
    "sales",
    "payment",
    "currency",
    "buck",
  ], emoji: "💲"),
  Emoji(keywords: [
    "money",
    "sales",
    "dollar",
    "travel",
  ], emoji: "💱"),
  Emoji(keywords: [
    "ip",
    "license",
    "circle",
    "law",
    "legal",
  ], emoji: "©️"),
  Emoji(keywords: [
    "alphabet",
    "circle",
  ], emoji: "®️"),
  Emoji(keywords: [
    "trademark",
    "brand",
    "law",
    "legal",
  ], emoji: "™️"),
  Emoji(keywords: [
    "words",
    "arrow",
  ], emoji: "🔚"),
  Emoji(keywords: [
    "arrow",
    "words",
    "return",
  ], emoji: "🔙"),
  Emoji(keywords: [
    "arrow",
    "words",
  ], emoji: "🔛"),
  Emoji(keywords: [
    "words",
    "blue-square",
  ], emoji: "🔝"),
  Emoji(keywords: [
    "arrow",
    "words",
  ], emoji: "🔜"),
  Emoji(keywords: [
    "ok",
    "agree",
    "confirm",
    "black-square",
    "vote",
    "election",
    "yes",
    "tick",
  ], emoji: "☑️"),
  Emoji(keywords: [
    "input",
    "old",
    "music",
    "circle",
  ], emoji: "🔘"),
  Emoji(keywords: [
    "shape",
    "round",
  ], emoji: "⚪"),
  Emoji(keywords: [
    "shape",
    "button",
    "round",
  ], emoji: "⚫"),
  Emoji(keywords: [
    "shape",
    "error",
    "danger",
  ], emoji: "🔴"),
  Emoji(keywords: [
    "shape",
    "icon",
    "button",
  ], emoji: "🔵"),
  Emoji(keywords: [
    "shape",
    "jewel",
    "gem",
  ], emoji: "🔸"),
  Emoji(keywords: [
    "shape",
    "jewel",
    "gem",
  ], emoji: "🔹"),
  Emoji(keywords: [
    "shape",
    "jewel",
    "gem",
  ], emoji: "🔶"),
  Emoji(keywords: [
    "shape",
    "jewel",
    "gem",
  ], emoji: "🔷"),
  Emoji(keywords: [
    "shape",
    "direction",
    "up",
    "top",
  ], emoji: "🔺"),
  Emoji(keywords: [
    "shape",
    "icon",
  ], emoji: "▪️"),
  Emoji(keywords: [
    "shape",
    "icon",
  ], emoji: "▫️"),
  Emoji(keywords: [
    "shape",
    "icon",
    "button",
  ], emoji: "⬛"),
  Emoji(keywords: [
    "shape",
    "icon",
    "stone",
    "button",
  ], emoji: "⬜"),
  Emoji(keywords: [
    "shape",
    "direction",
    "bottom",
  ], emoji: "🔻"),
  Emoji(keywords: [
    "shape",
    "button",
    "icon",
  ], emoji: "◼️"),
  Emoji(keywords: [
    "shape",
    "stone",
    "icon",
  ], emoji: "◻️"),
  Emoji(keywords: [
    "icon",
    "shape",
    "button",
  ], emoji: "◾"),
  Emoji(keywords: [
    "shape",
    "stone",
    "icon",
    "button",
  ], emoji: "◽"),
  Emoji(keywords: [
    "shape",
    "input",
    "frame",
  ], emoji: "🔲"),
  Emoji(keywords: [
    "shape",
    "input",
  ], emoji: "🔳"),
  Emoji(keywords: [
    "sound",
    "volume",
    "silence",
    "broadcast",
  ], emoji: "🔈"),
  Emoji(keywords: [
    "volume",
    "speaker",
    "broadcast",
  ], emoji: "🔉"),
  Emoji(keywords: [
    "volume",
    "noise",
    "noisy",
    "speaker",
    "broadcast",
  ], emoji: "🔊"),
  Emoji(keywords: [
    "sound",
    "volume",
    "silence",
    "quiet",
  ], emoji: "🔇"),
  Emoji(keywords: [
    "sound",
    "speaker",
    "volume",
  ], emoji: "📣"),
  Emoji(keywords: [
    "volume",
    "sound",
  ], emoji: "📢"),
  Emoji(keywords: [
    "sound",
    "notification",
    "christmas",
    "xmas",
    "chime",
  ], emoji: "🔔"),
  Emoji(keywords: [
    "sound",
    "volume",
    "mute",
    "quiet",
    "silent",
  ], emoji: "🔕"),
  Emoji(keywords: [
    "poker",
    "cards",
    "game",
    "play",
    "magic",
  ], emoji: "🃏"),
  Emoji(keywords: [
    "game",
    "play",
    "chinese",
    "kanji",
  ], emoji: "🀄"),
  Emoji(keywords: [
    "poker",
    "cards",
    "suits",
    "magic",
  ], emoji: "♠️"),
  Emoji(keywords: [
    "poker",
    "cards",
    "magic",
    "suits",
  ], emoji: "♣️"),
  Emoji(keywords: [
    "poker",
    "cards",
    "magic",
    "suits",
  ], emoji: "♥️"),
  Emoji(keywords: [
    "poker",
    "cards",
    "magic",
    "suits",
  ], emoji: "♦️"),
  Emoji(keywords: [
    "game",
    "sunset",
    "red",
  ], emoji: "🎴"),
  Emoji(keywords: [
    "bubble",
    "cloud",
    "speech",
    "thinking",
    "dream",
  ], emoji: "💭"),
  Emoji(keywords: [
    "caption",
    "speech",
    "thinking",
    "mad",
  ], emoji: "🗯"),
  Emoji(keywords: [
    "bubble",
    "words",
    "message",
    "talk",
    "chatting",
  ], emoji: "💬"),
  Emoji(keywords: [
    "words",
    "message",
    "talk",
    "chatting",
  ], emoji: "🗨"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕐"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕑"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕒"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕓"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕔"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
    "dawn",
    "dusk",
  ], emoji: "🕕"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕖"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕗"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕘"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕙"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕚"),
  Emoji(keywords: [
    "time",
    "noon",
    "midnight",
    "midday",
    "late",
    "early",
    "schedule",
  ], emoji: "🕛"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕜"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕝"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕞"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕟"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕠"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕡"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕢"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕣"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕤"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕥"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕦"),
  Emoji(keywords: [
    "time",
    "late",
    "early",
    "schedule",
  ], emoji: "🕧"),
];

final List<Emoji> objectsList = [
  Emoji(keywords: [
    "time",
    "accessories",
  ], emoji: "⌚"),
  Emoji(keywords: [
    "technology",
    "apple",
    "gadgets",
    "dial",
  ], emoji: "📱"),
  Emoji(keywords: [
    "iphone",
    "incoming",
  ], emoji: "📲"),
  Emoji(keywords: [
    "technology",
    "laptop",
    "screen",
    "display",
    "monitor",
  ], emoji: "💻"),
  Emoji(keywords: [
    "technology",
    "computer",
    "type",
    "input",
    "text",
  ], emoji: "⌨"),
  Emoji(keywords: [
    "technology",
    "computing",
    "screen",
  ], emoji: "🖥"),
  Emoji(keywords: [
    "paper",
    "ink",
  ], emoji: "🖨"),
  Emoji(keywords: [
    "click",
  ], emoji: "🖱"),
  Emoji(keywords: [
    "technology",
    "trackpad",
  ], emoji: "🖲"),
  Emoji(keywords: [
    "game",
    "play",
  ], emoji: "🕹"),
  Emoji(keywords: [
    "tool",
  ], emoji: "🗜"),
  Emoji(keywords: [
    "technology",
    "record",
    "data",
    "disk",
    "90s",
  ], emoji: "💽"),
  Emoji(keywords: [
    "oldschool",
    "technology",
    "save",
    "90s",
    "80s",
  ], emoji: "💾"),
  Emoji(keywords: [
    "technology",
    "dvd",
    "disk",
    "disc",
    "90s",
  ], emoji: "💿"),
  Emoji(keywords: [
    "cd",
    "disk",
    "disc",
  ], emoji: "📀"),
  Emoji(keywords: [
    "record",
    "video",
    "oldschool",
    "90s",
    "80s",
  ], emoji: "📼"),
  Emoji(keywords: [
    "gadgets",
    "photography",
  ], emoji: "📷"),
  Emoji(keywords: [
    "photography",
    "gadgets",
  ], emoji: "📸"),
  Emoji(keywords: [
    "film",
    "record",
  ], emoji: "📹"),
  Emoji(keywords: [
    "film",
    "record",
  ], emoji: "🎥"),
  Emoji(keywords: [
    "video",
    "tape",
    "record",
    "movie",
  ], emoji: "📽"),
  Emoji(keywords: [
    "movie",
  ], emoji: "🎞"),
  Emoji(keywords: [
    "technology",
    "communication",
    "dial",
  ], emoji: "📞"),
  Emoji(keywords: [
    "technology",
    "communication",
    "dial",
    "telephone",
  ], emoji: "☎️"),
  Emoji(keywords: [
    "bbcall",
    "oldschool",
    "90s",
  ], emoji: "📟"),
  Emoji(keywords: [
    "communication",
    "technology",
  ], emoji: "📠"),
  Emoji(keywords: [
    "technology",
    "program",
    "oldschool",
    "show",
    "television",
  ], emoji: "📺"),
  Emoji(keywords: [
    "communication",
    "music",
    "podcast",
    "program",
  ], emoji: "📻"),
  Emoji(keywords: [
    "sing",
    "recording",
    "artist",
    "talkshow",
  ], emoji: "🎙"),
  Emoji(keywords: [
    "scale",
  ], emoji: "🎚"),
  Emoji(keywords: [
    "dial",
  ], emoji: "🎛"),
  Emoji(keywords: [
    "magnetic",
    "navigation",
    "orienteering",
  ], emoji: "🧭"),
  Emoji(keywords: [
    "time",
    "deadline",
  ], emoji: "⏱"),
  Emoji(keywords: [
    "alarm",
  ], emoji: "⏲"),
  Emoji(keywords: [
    "time",
    "wake",
  ], emoji: "⏰"),
  Emoji(keywords: [
    "time",
  ], emoji: "🕰"),
  Emoji(keywords: [
    "oldschool",
    "time",
    "countdown",
  ], emoji: "⏳"),
  Emoji(keywords: [
    "time",
    "clock",
    "oldschool",
    "limit",
    "exam",
    "quiz",
    "test",
  ], emoji: "⌛"),
  Emoji(keywords: [
    "communication",
    "future",
    "radio",
    "space",
  ], emoji: "📡"),
  Emoji(keywords: [
    "power",
    "energy",
    "sustain",
  ], emoji: "🔋"),
  Emoji(keywords: [
    "charger",
    "power",
  ], emoji: "🔌"),
  Emoji(keywords: [
    "light",
    "electricity",
    "idea",
  ], emoji: "💡"),
  Emoji(keywords: [
    "dark",
    "camping",
    "sight",
    "night",
  ], emoji: "🔦"),
  Emoji(keywords: [
    "fire",
    "wax",
  ], emoji: "🕯"),
  Emoji(keywords: [
    "quench",
  ], emoji: "🧯"),
  Emoji(keywords: [
    "bin",
    "trash",
    "rubbish",
    "garbage",
    "toss",
  ], emoji: "🗑"),
  Emoji(keywords: [
    "barrell",
  ], emoji: "🛢"),
  Emoji(keywords: [
    "dollar",
    "bills",
    "payment",
    "sale",
  ], emoji: "💸"),
  Emoji(keywords: [
    "money",
    "sales",
    "bill",
    "currency",
  ], emoji: "💵"),
  Emoji(keywords: [
    "money",
    "sales",
    "japanese",
    "dollar",
    "currency",
  ], emoji: "💴"),
  Emoji(keywords: [
    "money",
    "sales",
    "dollar",
    "currency",
  ], emoji: "💶"),
  Emoji(keywords: [
    "british",
    "sterling",
    "money",
    "sales",
    "bills",
    "uk",
    "england",
    "currency",
  ], emoji: "💷"),
  Emoji(keywords: [
    "dollar",
    "payment",
    "coins",
    "sale",
  ], emoji: "💰"),
  Emoji(keywords: [
    "money",
    "sales",
    "dollar",
    "bill",
    "payment",
    "shopping",
  ], emoji: "💳"),
  Emoji(keywords: [
    "blue",
    "ruby",
    "diamond",
    "jewelry",
  ], emoji: "💎"),
  Emoji(keywords: [
    "law",
    "fairness",
    "weight",
  ], emoji: "⚖"),
  Emoji(keywords: [
    "tools",
    "diy",
    "fix",
    "maintainer",
    "mechanic",
  ], emoji: "🧰"),
  Emoji(keywords: [
    "tools",
    "diy",
    "ikea",
    "fix",
    "maintainer",
  ], emoji: "🔧"),
  Emoji(keywords: [
    "tools",
    "build",
    "create",
  ], emoji: "🔨"),
  Emoji(keywords: [
    "tools",
    "build",
    "create",
  ], emoji: "⚒"),
  Emoji(keywords: [
    "tools",
    "build",
    "create",
  ], emoji: "🛠"),
  Emoji(keywords: [
    "tools",
    "dig",
  ], emoji: "⛏"),
  Emoji(keywords: [
    "handy",
    "tools",
    "fix",
  ], emoji: "🔩"),
  Emoji(keywords: [
    "cog",
  ], emoji: "⚙"),
  Emoji(keywords: [
    "bricks",
  ], emoji: "🧱"),
  Emoji(keywords: [
    "lock",
    "arrest",
  ], emoji: "⛓"),
  Emoji(keywords: [
    "attraction",
    "magnetic",
  ], emoji: "🧲"),
  Emoji(keywords: [
    "violence",
    "weapon",
    "pistol",
    "revolver",
  ], emoji: "🔫"),
  Emoji(keywords: [
    "boom",
    "explode",
    "explosion",
    "terrorism",
  ], emoji: "💣"),
  Emoji(keywords: [
    "dynamite",
    "boom",
    "explode",
    "explosion",
    "explosive",
  ], emoji: "🧨"),
  Emoji(keywords: [
    "knife",
    "blade",
    "cutlery",
    "kitchen",
    "weapon",
  ], emoji: "🔪"),
  Emoji(keywords: [
    "weapon",
  ], emoji: "🗡"),
  Emoji(keywords: [
    "weapon",
  ], emoji: "⚔"),
  Emoji(keywords: [
    "protection",
    "security",
  ], emoji: "🛡"),
  Emoji(keywords: [
    "kills",
    "tobacco",
    "cigarette",
    "joint",
    "smoke",
  ], emoji: "🚬"),
  Emoji(keywords: [
    "poison",
    "danger",
    "deadly",
    "scary",
    "death",
    "pirate",
    "evil",
  ], emoji: "☠"),
  Emoji(keywords: [
    "vampire",
    "dead",
    "die",
    "death",
    "rip",
    "graveyard",
    "cemetery",
    "casket",
    "funeral",
    "box",
  ], emoji: "⚰"),
  Emoji(keywords: [
    "dead",
    "die",
    "death",
    "rip",
    "ashes",
  ], emoji: "⚱"),
  Emoji(keywords: [
    "vase",
    "jar",
  ], emoji: "🏺"),
  Emoji(keywords: [
    "disco",
    "party",
    "magic",
    "circus",
    "fortune_teller",
  ], emoji: "🔮"),
  Emoji(keywords: [
    "dhikr",
    "religious",
  ], emoji: "📿"),
  Emoji(keywords: [
    "bead",
    "charm",
  ], emoji: "🧿"),
  Emoji(keywords: [
    "hair",
    "salon",
    "style",
  ], emoji: "💈"),
  Emoji(keywords: [
    "distilling",
    "science",
    "experiment",
    "chemistry",
  ], emoji: "⚗"),
  Emoji(keywords: [
    "stars",
    "space",
    "zoom",
    "science",
    "astronomy",
  ], emoji: "🔭"),
  Emoji(keywords: [
    "laboratory",
    "experiment",
    "zoomin",
    "science",
    "study",
  ], emoji: "🔬"),
  Emoji(keywords: [
    "embarrassing",
  ], emoji: "🕳"),
  Emoji(keywords: [
    "health",
    "medicine",
    "doctor",
    "pharmacy",
    "drug",
  ], emoji: "💊"),
  Emoji(keywords: [
    "health",
    "hospital",
    "drugs",
    "blood",
    "medicine",
    "needle",
    "doctor",
    "nurse",
  ], emoji: "💉"),
  Emoji(keywords: [
    "biologist",
    "genetics",
    "life",
  ], emoji: "🧬"),
  Emoji(keywords: [
    "amoeba",
    "bacteria",
    "germs",
  ], emoji: "🦠"),
  Emoji(keywords: [
    "bacteria",
    "biology",
    "culture",
    "lab",
  ], emoji: "🧫"),
  Emoji(keywords: [
    "chemistry",
    "experiment",
    "lab",
    "science",
  ], emoji: "🧪"),
  Emoji(keywords: [
    "weather",
    "temperature",
    "hot",
    "cold",
  ], emoji: "🌡"),
  Emoji(keywords: [
    "cleaning",
    "sweeping",
    "witch",
  ], emoji: "🧹"),
  Emoji(keywords: [
    "laundry",
  ], emoji: "🧺"),
  Emoji(keywords: [
    "roll",
  ], emoji: "🧻"),
  Emoji(keywords: [
    "sale",
    "tag",
  ], emoji: "🏷"),
  Emoji(keywords: [
    "favorite",
    "label",
    "save",
  ], emoji: "🔖"),
  Emoji(keywords: [
    "restroom",
    "wc",
    "washroom",
    "bathroom",
    "potty",
  ], emoji: "🚽"),
  Emoji(keywords: [
    "clean",
    "water",
    "bathroom",
  ], emoji: "🚿"),
  Emoji(keywords: [
    "clean",
    "shower",
    "bathroom",
  ], emoji: "🛁"),
  Emoji(keywords: [
    "bar",
    "bathing",
    "cleaning",
    "lather",
  ], emoji: "🧼"),
  Emoji(keywords: [
    "absorbing",
    "cleaning",
    "porous",
  ], emoji: "🧽"),
  Emoji(keywords: [
    "moisturizer",
    "sunscreen",
  ], emoji: "🧴"),
  Emoji(keywords: [
    "lock",
    "door",
    "password",
  ], emoji: "🔑"),
  Emoji(keywords: [
    "lock",
    "door",
    "password",
  ], emoji: "🗝"),
  Emoji(keywords: [
    "read",
    "chill",
  ], emoji: "🛋"),
  Emoji(keywords: [
    "bed",
    "rest",
  ], emoji: "🛌"),
  Emoji(keywords: [
    "sleep",
    "rest",
  ], emoji: "🛏"),
  Emoji(keywords: [
    "house",
    "entry",
    "exit",
  ], emoji: "🚪"),
  Emoji(keywords: [
    "service",
  ], emoji: "🛎"),
  Emoji(keywords: [
    "plush",
    "stuffed",
  ], emoji: "🧸"),
  Emoji(keywords: [
    "photography",
  ], emoji: "🖼"),
  Emoji(keywords: [
    "location",
    "direction",
  ], emoji: "🗺"),
  Emoji(keywords: [
    "weather",
    "summer",
  ], emoji: "⛱"),
  Emoji(keywords: [
    "rock",
    "easter island",
    "moai",
  ], emoji: "🗿"),
  Emoji(keywords: [
    "mall",
    "buy",
    "purchase",
  ], emoji: "🛍"),
  Emoji(keywords: [
    "trolley",
  ], emoji: "🛒"),
  Emoji(keywords: [
    "party",
    "celebration",
    "birthday",
    "circus",
  ], emoji: "🎈"),
  Emoji(keywords: [
    "fish",
    "japanese",
    "koinobori",
    "carp",
    "banner",
  ], emoji: "🎏"),
  Emoji(keywords: [
    "decoration",
    "pink",
    "girl",
    "bowtie",
  ], emoji: "🎀"),
  Emoji(keywords: [
    "present",
    "birthday",
    "christmas",
    "xmas",
  ], emoji: "🎁"),
  Emoji(keywords: [
    "festival",
    "party",
    "birthday",
    "circus",
  ], emoji: "🎊"),
  Emoji(keywords: [
    "party",
    "congratulations",
    "birthday",
    "magic",
    "circus",
    "celebration",
  ], emoji: "🎉"),
  Emoji(keywords: [
    "japanese",
    "toy",
    "kimono",
  ], emoji: "🎎"),
  Emoji(keywords: [
    "nature",
    "ding",
    "spring",
    "bell",
  ], emoji: "🎐"),
  Emoji(keywords: [
    "japanese",
    "nation",
    "country",
    "border",
  ], emoji: "🎌"),
  Emoji(keywords: [
    "light",
    "paper",
    "halloween",
    "spooky",
  ], emoji: "🏮"),
  Emoji(keywords: [
    "gift",
  ], emoji: "🧧"),
  Emoji(keywords: [
    "letter",
    "postal",
    "inbox",
    "communication",
  ], emoji: "✉️"),
  Emoji(keywords: [
    "email",
    "communication",
  ], emoji: "📩"),
  Emoji(keywords: [
    "email",
    "inbox",
  ], emoji: "📨"),
  Emoji(keywords: [
    "communication",
    "inbox",
  ], emoji: "📧"),
  Emoji(keywords: [
    "email",
    "like",
    "affection",
    "envelope",
    "valentines",
  ], emoji: "💌"),
  Emoji(keywords: [
    "email",
    "letter",
    "envelope",
  ], emoji: "📮"),
  Emoji(keywords: [
    "email",
    "communication",
    "inbox",
  ], emoji: "📪"),
  Emoji(keywords: [
    "email",
    "inbox",
    "communication",
  ], emoji: "📫"),
  Emoji(keywords: [
    "email",
    "inbox",
    "communication",
  ], emoji: "📬"),
  Emoji(keywords: [
    "email",
    "inbox",
  ], emoji: "📭"),
  Emoji(keywords: [
    "mail",
    "gift",
    "cardboard",
    "box",
    "moving",
  ], emoji: "📦"),
  Emoji(keywords: [
    "instrument",
    "music",
  ], emoji: "📯"),
  Emoji(keywords: [
    "email",
    "documents",
  ], emoji: "📥"),
  Emoji(keywords: [
    "inbox",
    "email",
  ], emoji: "📤"),
  Emoji(keywords: [
    "documents",
    "ancient",
    "history",
    "paper",
  ], emoji: "📜"),
  Emoji(keywords: [
    "documents",
    "office",
    "paper",
  ], emoji: "📃"),
  Emoji(keywords: [
    "favorite",
    "save",
    "order",
    "tidy",
  ], emoji: "📑"),
  Emoji(keywords: [
    "accounting",
    "expenses",
  ], emoji: "🧾"),
  Emoji(keywords: [
    "graph",
    "presentation",
    "stats",
  ], emoji: "📊"),
  Emoji(keywords: [
    "graph",
    "presentation",
    "stats",
    "recovery",
    "business",
    "economics",
    "money",
    "sales",
    "good",
    "success",
  ], emoji: "📈"),
  Emoji(keywords: [
    "graph",
    "presentation",
    "stats",
    "recession",
    "business",
    "economics",
    "money",
    "sales",
    "bad",
    "failure",
  ], emoji: "📉"),
  Emoji(keywords: [
    "documents",
    "office",
    "paper",
    "information",
  ], emoji: "📄"),
  Emoji(keywords: [
    "calendar",
    "schedule",
  ], emoji: "📅"),
  Emoji(keywords: [
    "schedule",
    "date",
    "planning",
  ], emoji: "📆"),
  Emoji(keywords: [
    "date",
    "schedule",
    "planning",
  ], emoji: "🗓"),
  Emoji(keywords: [
    "business",
    "stationery",
  ], emoji: "📇"),
  Emoji(keywords: [
    "business",
    "stationery",
  ], emoji: "🗃"),
  Emoji(keywords: [
    "election",
    "vote",
  ], emoji: "🗳"),
  Emoji(keywords: [
    "filing",
    "organizing",
  ], emoji: "🗄"),
  Emoji(keywords: [
    "stationery",
    "documents",
  ], emoji: "📋"),
  Emoji(keywords: [
    "memo",
    "stationery",
  ], emoji: "🗒"),
  Emoji(keywords: [
    "documents",
    "business",
    "office",
  ], emoji: "📁"),
  Emoji(keywords: [
    "documents",
    "load",
  ], emoji: "📂"),
  Emoji(keywords: [
    "organizing",
    "business",
    "stationery",
  ], emoji: "🗂"),
  Emoji(keywords: [
    "press",
    "headline",
  ], emoji: "🗞"),
  Emoji(keywords: [
    "press",
    "headline",
  ], emoji: "📰"),
  Emoji(keywords: [
    "stationery",
    "record",
    "notes",
    "paper",
    "study",
  ], emoji: "📓"),
  Emoji(keywords: [
    "read",
    "library",
    "knowledge",
    "textbook",
    "learn",
  ], emoji: "📕"),
  Emoji(keywords: [
    "read",
    "library",
    "knowledge",
    "study",
  ], emoji: "📗"),
  Emoji(keywords: [
    "read",
    "library",
    "knowledge",
    "learn",
    "study",
  ], emoji: "📘"),
  Emoji(keywords: [
    "read",
    "library",
    "knowledge",
    "textbook",
    "study",
  ], emoji: "📙"),
  Emoji(keywords: [
    "classroom",
    "notes",
    "record",
    "paper",
    "study",
  ], emoji: "📔"),
  Emoji(keywords: [
    "notes",
    "paper",
  ], emoji: "📒"),
  Emoji(keywords: [
    "literature",
    "library",
    "study",
  ], emoji: "📚"),
  Emoji(keywords: [
    "book",
    "read",
    "library",
    "knowledge",
    "literature",
    "learn",
    "study",
  ], emoji: "📖"),
  Emoji(keywords: [
    "diaper",
  ], emoji: "🧷"),
  Emoji(keywords: [
    "rings",
    "url",
  ], emoji: "🔗"),
  Emoji(keywords: [
    "documents",
    "stationery",
  ], emoji: "📎"),
  Emoji(keywords: [
    "documents",
    "stationery",
  ], emoji: "🖇"),
  Emoji(keywords: [
    "stationery",
    "cut",
  ], emoji: "✂️"),
  Emoji(keywords: [
    "stationery",
    "math",
    "architect",
    "sketch",
  ], emoji: "📐"),
  Emoji(keywords: [
    "stationery",
    "calculate",
    "length",
    "math",
    "school",
    "drawing",
    "architect",
    "sketch",
  ], emoji: "📏"),
  Emoji(keywords: [
    "calculation",
  ], emoji: "🧮"),
  Emoji(keywords: [
    "stationery",
    "mark",
    "here",
  ], emoji: "📌"),
  Emoji(keywords: [
    "stationery",
    "location",
    "map",
    "here",
  ], emoji: "📍"),
  Emoji(keywords: [
    "mark",
    "milestone",
    "place",
  ], emoji: "🚩"),
  Emoji(keywords: [
    "losing",
    "loser",
    "lost",
    "surrender",
    "give up",
    "fail",
  ], emoji: "🏳"),
  Emoji(keywords: [
    "pirate",
  ], emoji: "🏴"),
  Emoji(keywords: [
    "flag",
    "rainbow",
    "pride",
    "gay",
    "lgbt",
    "glbt",
    "queer",
    "homosexual",
    "lesbian",
    "bisexual",
    "transgender",
  ], emoji: "🏳️‍🌈"),
  Emoji(keywords: [
    "security",
    "privacy",
  ], emoji: "🔐"),
  Emoji(keywords: [
    "security",
    "password",
    "padlock",
  ], emoji: "🔒"),
  Emoji(keywords: [
    "privacy",
    "security",
  ], emoji: "🔓"),
  Emoji(keywords: [
    "security",
    "secret",
  ], emoji: "🔏"),
  Emoji(keywords: [
    "stationery",
    "writing",
    "write",
  ], emoji: "🖊"),
  Emoji(keywords: [
    "stationery",
    "writing",
    "write",
  ], emoji: "🖋"),
  Emoji(keywords: [
    "pen",
    "stationery",
    "writing",
    "write",
  ], emoji: "✒️"),
  Emoji(keywords: [
    "write",
    "documents",
    "stationery",
    "pencil",
    "paper",
    "writing",
    "legal",
    "exam",
    "quiz",
    "test",
    "study",
    "compose",
  ], emoji: "📝"),
  Emoji(keywords: [
    "stationery",
    "write",
    "paper",
    "writing",
    "school",
    "study",
  ], emoji: "✏️"),
  Emoji(keywords: [
    "drawing",
    "creativity",
  ], emoji: "🖍"),
  Emoji(keywords: [
    "drawing",
    "creativity",
    "art",
  ], emoji: "🖌"),
  Emoji(keywords: [
    "search",
    "zoom",
    "find",
    "detective",
  ], emoji: "🔍"),
  Emoji(keywords: [
    "search",
    "zoom",
    "find",
    "detective",
  ], emoji: "🔎"),
];

final List<Emoji> travelList = [
  Emoji(keywords: [
    "red",
    "transportation",
    "vehicle",
  ], emoji: "🚗"),
  Emoji(keywords: [
    "uber",
    "vehicle",
    "cars",
    "transportation",
  ], emoji: "🚕"),
  Emoji(keywords: [
    "transportation",
    "vehicle",
  ], emoji: "🚙"),
  Emoji(keywords: [
    "car",
    "vehicle",
    "transportation",
  ], emoji: "🚌"),
  Emoji(keywords: [
    "bart",
    "transportation",
    "vehicle",
  ], emoji: "🚎"),
  Emoji(keywords: [
    "sports",
    "race",
    "fast",
    "formula",
    "f1",
  ], emoji: "🏎"),
  Emoji(keywords: [
    "vehicle",
    "cars",
    "transportation",
    "law",
    "legal",
    "enforcement",
  ], emoji: "🚓"),
  Emoji(keywords: [
    "health",
    "911",
    "hospital",
  ], emoji: "🚑"),
  Emoji(keywords: [
    "transportation",
    "cars",
    "vehicle",
  ], emoji: "🚒"),
  Emoji(keywords: [
    "vehicle",
    "car",
    "transportation",
  ], emoji: "🚐"),
  Emoji(keywords: [
    "cars",
    "transportation",
  ], emoji: "🚚"),
  Emoji(keywords: [
    "vehicle",
    "cars",
    "transportation",
    "express",
  ], emoji: "🚛"),
  Emoji(keywords: [
    "vehicle",
    "car",
    "farming",
    "agriculture",
  ], emoji: "🚜"),
  Emoji(keywords: [
    "vehicle",
    "kick",
    "razor",
  ], emoji: "🛴"),
  Emoji(keywords: [
    "race",
    "sports",
    "fast",
  ], emoji: "🏍"),
  Emoji(keywords: [
    "sports",
    "bicycle",
    "exercise",
    "hipster",
  ], emoji: "🚲"),
  Emoji(keywords: [
    "vehicle",
    "vespa",
    "sasha",
  ], emoji: "🛵"),
  Emoji(keywords: [
    "police",
    "ambulance",
    "911",
    "emergency",
    "alert",
    "error",
    "pinged",
    "law",
    "legal",
  ], emoji: "🚨"),
  Emoji(keywords: [
    "vehicle",
    "law",
    "legal",
    "enforcement",
    "911",
  ], emoji: "🚔"),
  Emoji(keywords: [
    "vehicle",
    "transportation",
  ], emoji: "🚍"),
  Emoji(keywords: [
    "car",
    "vehicle",
    "transportation",
  ], emoji: "🚘"),
  Emoji(keywords: [
    "vehicle",
    "cars",
    "uber",
  ], emoji: "🚖"),
  Emoji(keywords: [
    "transportation",
    "vehicle",
    "ski",
  ], emoji: "🚡"),
  Emoji(keywords: [
    "transportation",
    "vehicle",
    "ski",
  ], emoji: "🚠"),
  Emoji(keywords: [
    "vehicle",
    "transportation",
  ], emoji: "🚟"),
  Emoji(keywords: [
    "transportation",
    "vehicle",
  ], emoji: "🚃"),
  Emoji(keywords: [
    "transportation",
    "vehicle",
    "carriage",
    "public",
    "travel",
  ], emoji: "🚋"),
  Emoji(keywords: [
    "transportation",
    "vehicle",
  ], emoji: "🚝"),
  Emoji(keywords: [
    "transportation",
    "vehicle",
  ], emoji: "🚄"),
  Emoji(keywords: [
    "transportation",
    "vehicle",
    "speed",
    "fast",
    "public",
    "travel",
  ], emoji: "🚅"),
  Emoji(keywords: [
    "transportation",
    "vehicle",
  ], emoji: "🚈"),
  Emoji(keywords: [
    "transportation",
    "vehicle",
  ], emoji: "🚞"),
  Emoji(keywords: [
    "transportation",
    "vehicle",
    "train",
  ], emoji: "🚂"),
  Emoji(keywords: [
    "transportation",
    "vehicle",
  ], emoji: "🚆"),
  Emoji(keywords: [
    "transportation",
    "blue-square",
    "mrt",
    "underground",
    "tube",
  ], emoji: "🚇"),
  Emoji(keywords: [
    "transportation",
    "vehicle",
  ], emoji: "🚊"),
  Emoji(keywords: [
    "transportation",
    "vehicle",
    "public",
  ], emoji: "🚉"),
  Emoji(keywords: [
    "transportation",
    "vehicle",
    "ufo",
  ], emoji: "🛸"),
  Emoji(keywords: [
    "transportation",
    "vehicle",
    "fly",
  ], emoji: "🚁"),
  Emoji(keywords: [
    "flight",
    "transportation",
    "fly",
    "vehicle",
  ], emoji: "🛩"),
  Emoji(keywords: [
    "vehicle",
    "transportation",
    "flight",
    "fly",
  ], emoji: "✈️"),
  Emoji(keywords: [
    "airport",
    "flight",
    "landing",
  ], emoji: "🛫"),
  Emoji(keywords: [
    "airport",
    "flight",
    "boarding",
  ], emoji: "🛬"),
  Emoji(keywords: [
    "ship",
    "summer",
    "transportation",
    "water",
    "sailing",
  ], emoji: "⛵"),
  Emoji(keywords: [
    "ship",
  ], emoji: "🛥"),
  Emoji(keywords: [
    "ship",
    "transportation",
    "vehicle",
    "summer",
  ], emoji: "🚤"),
  Emoji(keywords: [
    "boat",
    "ship",
    "yacht",
  ], emoji: "⛴"),
  Emoji(keywords: [
    "yacht",
    "cruise",
    "ferry",
  ], emoji: "🛳"),
  Emoji(keywords: [
    "launch",
    "ship",
    "staffmode",
    "NASA",
    "outer space",
    "outer_space",
    "fly",
  ], emoji: "🚀"),
  Emoji(keywords: [
    "communication",
    "gps",
    "orbit",
    "spaceflight",
    "NASA",
    "ISS",
  ], emoji: "🛰"),
  Emoji(keywords: [
    "sit",
    "airplane",
    "transport",
    "bus",
    "flight",
    "fly",
  ], emoji: "💺"),
  Emoji(keywords: [
    "boat",
    "paddle",
    "water",
    "ship",
  ], emoji: "🛶"),
  Emoji(keywords: [
    "ship",
    "ferry",
    "sea",
    "boat",
  ], emoji: "⚓"),
  Emoji(keywords: [
    "wip",
    "progress",
    "caution",
    "warning",
  ], emoji: "🚧"),
  Emoji(keywords: [
    "gas station",
    "petroleum",
  ], emoji: "⛽"),
  Emoji(keywords: [
    "transportation",
    "wait",
  ], emoji: "🚏"),
  Emoji(keywords: [
    "transportation",
    "driving",
  ], emoji: "🚦"),
  Emoji(keywords: [
    "transportation",
    "signal",
  ], emoji: "🚥"),
  Emoji(keywords: [
    "contest",
    "finishline",
    "race",
    "gokart",
  ], emoji: "🏁"),
  Emoji(keywords: [
    "transportation",
    "titanic",
    "deploy",
  ], emoji: "🚢"),
  Emoji(keywords: [
    "photo",
    "carnival",
    "londoneye",
  ], emoji: "🎡"),
  Emoji(keywords: [
    "carnival",
    "playground",
    "photo",
    "fun",
  ], emoji: "🎢"),
  Emoji(keywords: [
    "photo",
    "carnival",
  ], emoji: "🎠"),
  Emoji(keywords: [
    "wip",
    "working",
    "progress",
  ], emoji: "🏗"),
  Emoji(keywords: [
    "photo",
    "mountain",
  ], emoji: "🌁"),
  Emoji(keywords: [
    "photo",
    "japanese",
  ], emoji: "🗼"),
  Emoji(keywords: [
    "building",
    "industry",
    "pollution",
    "smoke",
  ], emoji: "🏭"),
  Emoji(keywords: [
    "photo",
    "summer",
    "water",
    "fresh",
  ], emoji: "⛲"),
  Emoji(keywords: [
    "photo",
    "japan",
    "asia",
    "tsukimi",
  ], emoji: "🎑"),
  Emoji(keywords: [
    "photo",
    "nature",
    "environment",
  ], emoji: "⛰"),
  Emoji(keywords: [
    "photo",
    "nature",
    "environment",
    "winter",
    "cold",
  ], emoji: "🏔"),
  Emoji(keywords: [
    "photo",
    "mountain",
    "nature",
    "japanese",
  ], emoji: "🗻"),
  Emoji(keywords: [
    "photo",
    "nature",
    "disaster",
  ], emoji: "🌋"),
  Emoji(keywords: [
    "nation",
    "country",
    "japanese",
    "asia",
  ], emoji: "🗾"),
  Emoji(keywords: [
    "photo",
    "outdoors",
    "tent",
  ], emoji: "🏕"),
  Emoji(keywords: [
    "photo",
    "camping",
    "outdoors",
  ], emoji: "⛺"),
  Emoji(keywords: [
    "photo",
    "environment",
    "nature",
  ], emoji: "🏞"),
  Emoji(keywords: [
    "road",
    "cupertino",
    "interstate",
    "highway",
  ], emoji: "🛣"),
  Emoji(keywords: [
    "train",
    "transportation",
  ], emoji: "🛤"),
  Emoji(keywords: [
    "morning",
    "view",
    "vacation",
    "photo",
  ], emoji: "🌅"),
  Emoji(keywords: [
    "view",
    "vacation",
    "photo",
  ], emoji: "🌄"),
  Emoji(keywords: [
    "photo",
    "warm",
    "saharah",
  ], emoji: "🏜"),
  Emoji(keywords: [
    "weather",
    "summer",
    "sunny",
    "sand",
    "mojito",
  ], emoji: "🏖"),
  Emoji(keywords: [
    "photo",
    "tropical",
    "mojito",
  ], emoji: "🏝"),
  Emoji(keywords: [
    "photo",
    "good morning",
    "dawn",
  ], emoji: "🌇"),
  Emoji(keywords: [
    "photo",
    "evening",
    "sky",
    "buildings",
  ], emoji: "🌆"),
  Emoji(keywords: [
    "photo",
    "night life",
    "urban",
  ], emoji: "🏙"),
  Emoji(keywords: [
    "evening",
    "city",
    "downtown",
  ], emoji: "🌃"),
  Emoji(keywords: [
    "photo",
    "sanfrancisco",
  ], emoji: "🌉"),
  Emoji(keywords: [
    "photo",
    "space",
    "stars",
  ], emoji: "🌌"),
  Emoji(keywords: [
    "night",
    "photo",
  ], emoji: "🌠"),
  Emoji(keywords: [
    "stars",
    "night",
    "shine",
  ], emoji: "🎇"),
  Emoji(keywords: [
    "photo",
    "festival",
    "carnival",
    "congratulations",
  ], emoji: "🎆"),
  Emoji(keywords: [
    "nature",
    "happy",
    "unicorn_face",
    "photo",
    "sky",
    "spring",
  ], emoji: "🌈"),
  Emoji(keywords: [
    "buildings",
    "photo",
  ], emoji: "🏘"),
  Emoji(keywords: [
    "building",
    "royalty",
    "history",
  ], emoji: "🏰"),
  Emoji(keywords: [
    "photo",
    "building",
  ], emoji: "🏯"),
  Emoji(keywords: [
    "photo",
    "place",
    "sports",
    "concert",
    "venue",
  ], emoji: "🏟"),
  Emoji(keywords: [
    "american",
    "newyork",
  ], emoji: "🗽"),
  Emoji(keywords: [
    "building",
    "home",
  ], emoji: "🏠"),
  Emoji(keywords: [
    "home",
    "plant",
    "nature",
  ], emoji: "🏡"),
  Emoji(keywords: [
    "abandon",
    "evict",
    "broken",
    "building",
  ], emoji: "🏚"),
  Emoji(keywords: [
    "building",
    "bureau",
    "work",
  ], emoji: "🏢"),
  Emoji(keywords: [
    "building",
    "shopping",
    "mall",
  ], emoji: "🏬"),
  Emoji(keywords: [
    "building",
    "envelope",
    "communication",
  ], emoji: "🏣"),
  Emoji(keywords: [
    "building",
    "email",
  ], emoji: "🏤"),
  Emoji(keywords: [
    "building",
    "health",
    "surgery",
    "doctor",
  ], emoji: "🏥"),
  Emoji(keywords: [
    "building",
    "money",
    "sales",
    "cash",
    "business",
    "enterprise",
  ], emoji: "🏦"),
  Emoji(keywords: [
    "building",
    "accomodation",
    "checkin",
  ], emoji: "🏨"),
  Emoji(keywords: [
    "building",
    "shopping",
    "groceries",
  ], emoji: "🏪"),
  Emoji(keywords: [
    "building",
    "student",
    "education",
    "learn",
    "teach",
  ], emoji: "🏫"),
  Emoji(keywords: [
    "like",
    "affection",
    "dating",
  ], emoji: "🏩"),
  Emoji(keywords: [
    "love",
    "like",
    "affection",
    "couple",
    "marriage",
    "bride",
    "groom",
  ], emoji: "💒"),
  Emoji(keywords: [
    "art",
    "culture",
    "history",
  ], emoji: "🏛"),
  Emoji(keywords: [
    "building",
    "religion",
    "christ",
  ], emoji: "⛪"),
  Emoji(keywords: [
    "islam",
    "worship",
    "minaret",
  ], emoji: "🕌"),
  Emoji(keywords: [
    "judaism",
    "worship",
    "temple",
    "jewish",
  ], emoji: "🕍"),
  Emoji(keywords: [
    "mecca",
    "mosque",
    "islam",
  ], emoji: "🕋"),
  Emoji(keywords: [
    "temple",
    "japan",
    "kyoto",
  ], emoji: "⛩"),
];

final List<Emoji> activityList = [
  Emoji(keywords: [
    "sports",
    "football",
  ], emoji: "⚽"),
  Emoji(keywords: [
    "sports",
    "balls",
    "NBA",
  ], emoji: "🏀"),
  Emoji(keywords: [
    "sports",
    "balls",
    "NFL",
  ], emoji: "🏈"),
  Emoji(keywords: [
    "sports",
    "balls",
  ], emoji: "⚾"),
  Emoji(keywords: [
    "sports",
    "balls",
  ], emoji: "🥎"),
  Emoji(keywords: [
    "sports",
    "balls",
    "green",
  ], emoji: "🎾"),
  Emoji(keywords: [
    "sports",
    "balls",
  ], emoji: "🏐"),
  Emoji(keywords: [
    "sports",
    "team",
  ], emoji: "🏉"),
  Emoji(keywords: [
    "sports",
    "frisbee",
    "ultimate",
  ], emoji: "🥏"),
  Emoji(keywords: [
    "pool",
    "hobby",
    "game",
    "luck",
    "magic",
  ], emoji: "🎱"),
  Emoji(keywords: [
    "sports",
    "business",
    "flag",
    "hole",
    "summer",
  ], emoji: "⛳"),
  Emoji(keywords: [
    "sports",
    "business",
    "woman",
    "female",
  ], emoji: "🏌️‍♀️"),
  Emoji(keywords: [
    "sports",
    "business",
  ], emoji: "🏌"),
  Emoji(keywords: [
    "sports",
    "pingpong",
  ], emoji: "🏓"),
  Emoji(keywords: [
    "sports",
  ], emoji: "🏸"),
  Emoji(keywords: [
    "sports",
  ], emoji: "🥅"),
  Emoji(keywords: [
    "sports",
  ], emoji: "🏒"),
  Emoji(keywords: [
    "sports",
  ], emoji: "🏑"),
  Emoji(keywords: [
    "sports",
    "ball",
    "stick",
  ], emoji: "🥍"),
  Emoji(keywords: [
    "sports",
  ], emoji: "🏏"),
  Emoji(keywords: [
    "sports",
    "winter",
    "cold",
    "snow",
  ], emoji: "🎿"),
  Emoji(keywords: [
    "sports",
    "winter",
    "snow",
  ], emoji: "⛷"),
  Emoji(keywords: [
    "sports",
    "winter",
  ], emoji: "🏂"),
  Emoji(keywords: [
    "sports",
    "fencing",
    "sword",
  ], emoji: "🤺"),
  Emoji(keywords: [
    "sports",
    "wrestlers",
  ], emoji: "🤼‍♀️"),
  Emoji(keywords: [
    "sports",
    "wrestlers",
  ], emoji: "🤼‍♂️"),
  Emoji(keywords: [
    "gymnastics",
  ], emoji: "🤸‍♀️"),
  Emoji(keywords: [
    "gymnastics",
  ], emoji: "🤸‍♂️"),
  Emoji(keywords: [
    "sports",
  ], emoji: "🤾‍♀️"),
  Emoji(keywords: [
    "sports",
  ], emoji: "🤾‍♂️"),
  Emoji(keywords: [
    "sports",
  ], emoji: "⛸"),
  Emoji(keywords: [
    "sports",
  ], emoji: "🥌"),
  Emoji(keywords: [
    "board",
  ], emoji: "🛹"),
  Emoji(keywords: [
    "sleigh",
    "luge",
    "toboggan",
  ], emoji: "🛷"),
  Emoji(keywords: [
    "sports",
  ], emoji: "🏹"),
  Emoji(keywords: [
    "food",
    "hobby",
    "summer",
  ], emoji: "🎣"),
  Emoji(keywords: [
    "sports",
    "fighting",
  ], emoji: "🥊"),
  Emoji(keywords: [
    "judo",
    "karate",
    "taekwondo",
  ], emoji: "🥋"),
  Emoji(keywords: [
    "sports",
    "hobby",
    "water",
    "ship",
    "woman",
    "female",
  ], emoji: "🚣‍♀️"),
  Emoji(keywords: [
    "sports",
    "hobby",
    "water",
    "ship",
  ], emoji: "🚣"),
  Emoji(keywords: [
    "sports",
    "hobby",
    "woman",
    "female",
    "rock",
  ], emoji: "🧗‍♀️"),
  Emoji(keywords: [
    "sports",
    "hobby",
    "man",
    "male",
    "rock",
  ], emoji: "🧗‍♂️"),
  Emoji(keywords: [
    "sports",
    "exercise",
    "human",
    "athlete",
    "water",
    "summer",
    "woman",
    "female",
  ], emoji: "🏊‍♀️"),
  Emoji(keywords: [
    "sports",
    "exercise",
    "human",
    "athlete",
    "water",
    "summer",
  ], emoji: "🏊"),
  Emoji(keywords: [
    "sports",
    "pool",
  ], emoji: "🤽‍♀️"),
  Emoji(keywords: [
    "sports",
    "pool",
  ], emoji: "🤽‍♂️"),
  Emoji(keywords: [
    "woman",
    "female",
    "meditation",
    "yoga",
    "serenity",
    "zen",
    "mindfulness",
  ], emoji: "🧘‍♀️"),
  Emoji(keywords: [
    "man",
    "male",
    "meditation",
    "yoga",
    "serenity",
    "zen",
    "mindfulness",
  ], emoji: "🧘‍♂️"),
  Emoji(keywords: [
    "sports",
    "ocean",
    "sea",
    "summer",
    "beach",
    "woman",
    "female",
  ], emoji: "🏄‍♀️"),
  Emoji(keywords: [
    "sports",
    "ocean",
    "sea",
    "summer",
    "beach",
  ], emoji: "🏄"),
  Emoji(keywords: [
    "clean",
    "shower",
    "bathroom",
  ], emoji: "🛀"),
  Emoji(keywords: [
    "sports",
    "human",
    "woman",
    "female",
  ], emoji: "⛹️‍♀️"),
  Emoji(keywords: [
    "sports",
    "human",
  ], emoji: "⛹"),
  Emoji(keywords: [
    "sports",
    "training",
    "exercise",
    "woman",
    "female",
  ], emoji: "🏋️‍♀️"),
  Emoji(keywords: [
    "sports",
    "training",
    "exercise",
  ], emoji: "🏋"),
  Emoji(keywords: [
    "sports",
    "bike",
    "exercise",
    "hipster",
    "woman",
    "female",
  ], emoji: "🚴‍♀️"),
  Emoji(keywords: [
    "sports",
    "bike",
    "exercise",
    "hipster",
  ], emoji: "🚴"),
  Emoji(keywords: [
    "transportation",
    "sports",
    "human",
    "race",
    "bike",
    "woman",
    "female",
  ], emoji: "🚵‍♀️"),
  Emoji(keywords: [
    "transportation",
    "sports",
    "human",
    "race",
    "bike",
  ], emoji: "🚵"),
  Emoji(keywords: [
    "animal",
    "betting",
    "competition",
    "gambling",
    "luck",
  ], emoji: "🏇"),
  Emoji(keywords: [
    "suit",
    "business",
    "levitate",
    "hover",
    "jump",
  ], emoji: "🕴"),
  Emoji(keywords: [
    "win",
    "award",
    "contest",
    "place",
    "ftw",
    "ceremony",
  ], emoji: "🏆"),
  Emoji(keywords: [
    "play",
    "pageant",
  ], emoji: "🎽"),
  Emoji(keywords: [
    "award",
    "winning",
  ], emoji: "🏅"),
  Emoji(keywords: [
    "award",
    "winning",
    "army",
  ], emoji: "🎖"),
  Emoji(keywords: [
    "award",
    "winning",
    "first",
  ], emoji: "🥇"),
  Emoji(keywords: [
    "award",
    "second",
  ], emoji: "🥈"),
  Emoji(keywords: [
    "award",
    "third",
  ], emoji: "🥉"),
  Emoji(keywords: [
    "sports",
    "cause",
    "support",
    "awareness",
  ], emoji: "🎗"),
  Emoji(keywords: [
    "flower",
    "decoration",
    "military",
  ], emoji: "🏵"),
  Emoji(keywords: [
    "event",
    "concert",
    "pass",
  ], emoji: "🎫"),
  Emoji(keywords: [
    "sports",
    "concert",
    "entrance",
  ], emoji: "🎟"),
  Emoji(keywords: [
    "acting",
    "theater",
    "drama",
  ], emoji: "🎭"),
  Emoji(keywords: [
    "design",
    "paint",
    "draw",
    "colors",
  ], emoji: "🎨"),
  Emoji(keywords: [
    "festival",
    "carnival",
    "party",
  ], emoji: "🎪"),
  Emoji(keywords: [
    "juggle",
    "balance",
    "skill",
    "multitask",
  ], emoji: "🤹‍♀️"),
  Emoji(keywords: [
    "juggle",
    "balance",
    "skill",
    "multitask",
  ], emoji: "🤹‍♂️"),
  Emoji(keywords: [
    "sound",
    "music",
    "PA",
    "sing",
    "talkshow",
  ], emoji: "🎤"),
  Emoji(keywords: [
    "music",
    "score",
    "gadgets",
  ], emoji: "🎧"),
  Emoji(keywords: [
    "treble",
    "clef",
    "compose",
  ], emoji: "🎼"),
  Emoji(keywords: [
    "piano",
    "instrument",
    "compose",
  ], emoji: "🎹"),
  Emoji(keywords: [
    "music",
    "instrument",
    "drumsticks",
    "snare",
  ], emoji: "🥁"),
  Emoji(keywords: [
    "music",
    "instrument",
    "jazz",
    "blues",
  ], emoji: "🎷"),
  Emoji(keywords: [
    "music",
    "brass",
  ], emoji: "🎺"),
  Emoji(keywords: [
    "music",
    "instrument",
  ], emoji: "🎸"),
  Emoji(keywords: [
    "music",
    "instrument",
    "orchestra",
    "symphony",
  ], emoji: "🎻"),
  Emoji(keywords: [
    "movie",
    "film",
    "record",
  ], emoji: "🎬"),
  Emoji(keywords: [
    "play",
    "console",
    "PS4",
    "controller",
  ], emoji: "🎮"),
  Emoji(keywords: [
    "game",
    "arcade",
    "play",
  ], emoji: "👾"),
  Emoji(keywords: [
    "game",
    "play",
    "bar",
    "target",
    "bullseye",
  ], emoji: "🎯"),
  Emoji(keywords: [
    "dice",
    "random",
    "tabletop",
    "play",
    "luck",
  ], emoji: "🎲"),
  Emoji(keywords: [
    "expendable",
  ], emoji: "♟"),
  Emoji(keywords: [
    "bet",
    "gamble",
    "vegas",
    "fruit machine",
    "luck",
    "casino",
  ], emoji: "🎰"),
  Emoji(keywords: [
    "interlocking",
    "puzzle",
    "piece",
  ], emoji: "🧩"),
  Emoji(keywords: [
    "sports",
    "fun",
    "play",
  ], emoji: "🎳"),
];

final List<Emoji> foodList = [
  Emoji(keywords: [
    "fruit",
    "nature",
  ], emoji: "🍏"),
  Emoji(keywords: [
    "fruit",
    "mac",
    "school",
  ], emoji: "🍎"),
  Emoji(keywords: [
    "fruit",
    "nature",
    "food",
  ], emoji: "🍐"),
  Emoji(keywords: [
    "food",
    "fruit",
    "nature",
    "orange",
  ], emoji: "🍊"),
  Emoji(keywords: [
    "fruit",
    "nature",
  ], emoji: "🍋"),
  Emoji(keywords: [
    "fruit",
    "food",
    "monkey",
  ], emoji: "🍌"),
  Emoji(keywords: [
    "fruit",
    "food",
    "picnic",
    "summer",
  ], emoji: "🍉"),
  Emoji(keywords: [
    "fruit",
    "food",
    "wine",
  ], emoji: "🍇"),
  Emoji(keywords: [
    "fruit",
    "food",
    "nature",
  ], emoji: "🍓"),
  Emoji(keywords: [
    "fruit",
    "nature",
    "food",
  ], emoji: "🍈"),
  Emoji(keywords: [
    "food",
    "fruit",
  ], emoji: "🍒"),
  Emoji(keywords: [
    "fruit",
    "nature",
    "food",
  ], emoji: "🍑"),
  Emoji(keywords: [
    "fruit",
    "nature",
    "food",
  ], emoji: "🍍"),
  Emoji(keywords: [
    "fruit",
    "nature",
    "food",
    "palm",
  ], emoji: "🥥"),
  Emoji(keywords: [
    "fruit",
    "food",
  ], emoji: "🥝"),
  Emoji(keywords: [
    "fruit",
    "food",
    "tropical",
  ], emoji: "🥭"),
  Emoji(keywords: [
    "fruit",
    "food",
  ], emoji: "🥑"),
  Emoji(keywords: [
    "fruit",
    "food",
    "vegetable",
  ], emoji: "🥦"),
  Emoji(keywords: [
    "fruit",
    "vegetable",
    "nature",
    "food",
  ], emoji: "🍅"),
  Emoji(keywords: [
    "vegetable",
    "nature",
    "food",
    "aubergine",
  ], emoji: "🍆"),
  Emoji(keywords: [
    "fruit",
    "food",
    "pickle",
  ], emoji: "🥒"),
  Emoji(keywords: [
    "vegetable",
    "food",
    "orange",
  ], emoji: "🥕"),
  Emoji(keywords: [
    "food",
    "spicy",
    "chilli",
    "chili",
  ], emoji: "🌶"),
  Emoji(keywords: [
    "food",
    "tuber",
    "vegatable",
    "starch",
  ], emoji: "🥔"),
  Emoji(keywords: [
    "food",
    "vegetable",
    "plant",
  ], emoji: "🌽"),
  Emoji(keywords: [
    "food",
    "vegetable",
    "plant",
    "bok choy",
    "cabbage",
    "kale",
    "lettuce",
  ], emoji: "🥬"),
  Emoji(keywords: [
    "food",
    "nature",
  ], emoji: "🍠"),
  Emoji(keywords: [
    "food",
    "nut",
  ], emoji: "🥜"),
  Emoji(keywords: [
    "bees",
    "sweet",
    "kitchen",
  ], emoji: "🍯"),
  Emoji(keywords: [
    "food",
    "bread",
    "french",
  ], emoji: "🥐"),
  Emoji(keywords: [
    "food",
    "wheat",
    "breakfast",
    "toast",
  ], emoji: "🍞"),
  Emoji(keywords: [
    "food",
    "bread",
    "french",
  ], emoji: "🥖"),
  Emoji(keywords: [
    "food",
    "bread",
    "bakery",
    "schmear",
  ], emoji: "🥯"),
  Emoji(keywords: [
    "food",
    "bread",
    "twisted",
  ], emoji: "🥨"),
  Emoji(keywords: [
    "food",
    "chadder",
  ], emoji: "🧀"),
  Emoji(keywords: [
    "food",
    "chicken",
    "breakfast",
  ], emoji: "🥚"),
  Emoji(keywords: [
    "food",
    "breakfast",
    "pork",
    "pig",
    "meat",
  ], emoji: "🥓"),
  Emoji(keywords: [
    "food",
    "cow",
    "meat",
    "cut",
    "chop",
    "lambchop",
    "porkchop",
  ], emoji: "🥩"),
  Emoji(keywords: [
    "food",
    "breakfast",
    "flapjacks",
    "hotcakes",
  ], emoji: "🥞"),
  Emoji(keywords: [
    "food",
    "meat",
    "drumstick",
    "bird",
    "chicken",
    "turkey",
  ], emoji: "🍗"),
  Emoji(keywords: [
    "good",
    "food",
    "drumstick",
  ], emoji: "🍖"),
  Emoji(keywords: [
    "skeleton",
  ], emoji: "🦴"),
  Emoji(keywords: [
    "food",
    "animal",
    "appetizer",
    "summer",
  ], emoji: "🍤"),
  Emoji(keywords: [
    "food",
    "breakfast",
    "kitchen",
    "egg",
  ], emoji: "🍳"),
  Emoji(keywords: [
    "meat",
    "fast food",
    "beef",
    "cheeseburger",
    "mcdonalds",
    "burger king",
  ], emoji: "🍔"),
  Emoji(keywords: [
    "chips",
    "snack",
    "fast food",
  ], emoji: "🍟"),
  Emoji(keywords: [
    "food",
    "flatbread",
    "stuffed",
    "gyro",
  ], emoji: "🥙"),
  Emoji(keywords: [
    "food",
    "frankfurter",
  ], emoji: "🌭"),
  Emoji(keywords: [
    "food",
    "party",
  ], emoji: "🍕"),
  Emoji(keywords: [
    "food",
    "lunch",
    "bread",
  ], emoji: "🥪"),
  Emoji(keywords: [
    "food",
    "soup",
  ], emoji: "🥫"),
  Emoji(keywords: [
    "food",
    "italian",
    "noodle",
  ], emoji: "🍝"),
  Emoji(keywords: [
    "food",
    "mexican",
  ], emoji: "🌮"),
  Emoji(keywords: [
    "food",
    "mexican",
  ], emoji: "🌯"),
  Emoji(keywords: [
    "food",
    "healthy",
    "lettuce",
  ], emoji: "🥗"),
  Emoji(keywords: [
    "food",
    "cooking",
    "casserole",
    "paella",
  ], emoji: "🥘"),
  Emoji(keywords: [
    "food",
    "japanese",
    "noodle",
    "chopsticks",
  ], emoji: "🍜"),
  Emoji(keywords: [
    "food",
    "meat",
    "soup",
  ], emoji: "🍲"),
  Emoji(keywords: [
    "food",
    "japan",
    "sea",
    "beach",
    "narutomaki",
    "pink",
    "swirl",
    "kamaboko",
    "surimi",
    "ramen",
  ], emoji: "🍥"),
  Emoji(keywords: [
    "food",
    "prophecy",
  ], emoji: "🥠"),
  Emoji(keywords: [
    "food",
    "fish",
    "japanese",
    "rice",
  ], emoji: "🍣"),
  Emoji(keywords: [
    "food",
    "japanese",
    "box",
  ], emoji: "🍱"),
  Emoji(keywords: [
    "food",
    "spicy",
    "hot",
    "indian",
  ], emoji: "🍛"),
  Emoji(keywords: [
    "food",
    "japanese",
  ], emoji: "🍙"),
  Emoji(keywords: [
    "food",
    "china",
    "asian",
  ], emoji: "🍚"),
  Emoji(keywords: [
    "food",
    "japanese",
  ], emoji: "🍘"),
  Emoji(keywords: [
    "food",
    "japanese",
  ], emoji: "🍢"),
  Emoji(keywords: [
    "food",
    "dessert",
    "sweet",
    "japanese",
    "barbecue",
    "meat",
  ], emoji: "🍡"),
  Emoji(keywords: [
    "hot",
    "dessert",
    "summer",
  ], emoji: "🍧"),
  Emoji(keywords: [
    "food",
    "hot",
    "dessert",
  ], emoji: "🍨"),
  Emoji(keywords: [
    "food",
    "hot",
    "dessert",
    "summer",
  ], emoji: "🍦"),
  Emoji(keywords: [
    "food",
    "dessert",
    "pastry",
  ], emoji: "🥧"),
  Emoji(keywords: [
    "food",
    "dessert",
  ], emoji: "🍰"),
  Emoji(keywords: [
    "food",
    "dessert",
    "bakery",
    "sweet",
  ], emoji: "🧁"),
  Emoji(keywords: [
    "food",
    "autumn",
  ], emoji: "🥮"),
  Emoji(keywords: [
    "food",
    "dessert",
    "cake",
  ], emoji: "🎂"),
  Emoji(keywords: [
    "dessert",
    "food",
  ], emoji: "🍮"),
  Emoji(keywords: [
    "snack",
    "dessert",
    "sweet",
    "lolly",
  ], emoji: "🍬"),
  Emoji(keywords: [
    "food",
    "snack",
    "candy",
    "sweet",
  ], emoji: "🍭"),
  Emoji(keywords: [
    "food",
    "snack",
    "dessert",
    "sweet",
  ], emoji: "🍫"),
  Emoji(keywords: [
    "food",
    "movie theater",
    "films",
    "snack",
  ], emoji: "🍿"),
  Emoji(keywords: [
    "food",
    "empanada",
    "pierogi",
    "potsticker",
  ], emoji: "🥟"),
  Emoji(keywords: [
    "food",
    "dessert",
    "snack",
    "sweet",
    "donut",
  ], emoji: "🍩"),
  Emoji(keywords: [
    "food",
    "snack",
    "oreo",
    "chocolate",
    "sweet",
    "dessert",
  ], emoji: "🍪"),
  Emoji(keywords: [
    "beverage",
    "drink",
    "cow",
  ], emoji: "🥛"),
  Emoji(keywords: [
    "relax",
    "beverage",
    "drink",
    "drunk",
    "party",
    "pub",
    "summer",
    "alcohol",
    "booze",
  ], emoji: "🍺"),
  Emoji(keywords: [
    "relax",
    "beverage",
    "drink",
    "drunk",
    "party",
    "pub",
    "summer",
    "alcohol",
    "booze",
  ], emoji: "🍻"),
  Emoji(keywords: [
    "beverage",
    "drink",
    "party",
    "alcohol",
    "celebrate",
    "cheers",
    "wine",
    "champagne",
    "toast",
  ], emoji: "🥂"),
  Emoji(keywords: [
    "drink",
    "beverage",
    "drunk",
    "alcohol",
    "booze",
  ], emoji: "🍷"),
  Emoji(keywords: [
    "drink",
    "beverage",
    "drunk",
    "alcohol",
    "liquor",
    "booze",
    "bourbon",
    "scotch",
    "whisky",
    "glass",
    "shot",
  ], emoji: "🥃"),
  Emoji(keywords: [
    "drink",
    "drunk",
    "alcohol",
    "beverage",
    "booze",
    "mojito",
  ], emoji: "🍸"),
  Emoji(keywords: [
    "beverage",
    "cocktail",
    "summer",
    "beach",
    "alcohol",
    "booze",
    "mojito",
  ], emoji: "🍹"),
  Emoji(keywords: [
    "drink",
    "wine",
    "bottle",
    "celebration",
  ], emoji: "🍾"),
  Emoji(keywords: [
    "wine",
    "drink",
    "drunk",
    "beverage",
    "japanese",
    "alcohol",
    "booze",
  ], emoji: "🍶"),
  Emoji(keywords: [
    "drink",
    "bowl",
    "breakfast",
    "green",
    "british",
  ], emoji: "🍵"),
  Emoji(keywords: [
    "drink",
    "soda",
  ], emoji: "🥤"),
  Emoji(keywords: [
    "beverage",
    "caffeine",
    "latte",
    "espresso",
  ], emoji: "☕"),
  Emoji(keywords: [
    "food",
    "container",
    "milk",
  ], emoji: "🍼"),
  Emoji(keywords: [
    "condiment",
    "shaker",
  ], emoji: "🧂"),
  Emoji(keywords: [
    "cutlery",
    "kitchen",
    "tableware",
  ], emoji: "🥄"),
  Emoji(keywords: [
    "cutlery",
    "kitchen",
  ], emoji: "🍴"),
  Emoji(keywords: [
    "food",
    "eat",
    "meal",
    "lunch",
    "dinner",
    "restaurant",
  ], emoji: "🍽"),
  Emoji(keywords: [
    "food",
    "breakfast",
    "cereal",
    "oatmeal",
    "porridge",
  ], emoji: "🥣"),
  Emoji(keywords: [
    "food",
    "leftovers",
  ], emoji: "🥡"),
  Emoji(keywords: [
    "food",
  ], emoji: "🥢"),
];

final List<Emoji> animalsList = [
  Emoji(keywords: [
    "animal",
    "friend",
    "nature",
    "woof",
    "puppy",
    "pet",
    "faithful",
  ], emoji: "🐶"),
  Emoji(keywords: [
    "animal",
    "meow",
    "nature",
    "pet",
    "kitten",
  ], emoji: "🐱"),
  Emoji(keywords: [
    "animal",
    "nature",
    "cheese_wedge",
    "rodent",
  ], emoji: "🐭"),
  Emoji(keywords: [
    "animal",
    "nature",
  ], emoji: "🐹"),
  Emoji(keywords: [
    "animal",
    "nature",
    "pet",
    "spring",
    "magic",
    "bunny",
  ], emoji: "🐰"),
  Emoji(keywords: [
    "animal",
    "nature",
    "face",
  ], emoji: "🦊"),
  Emoji(keywords: [
    "animal",
    "nature",
    "wild",
  ], emoji: "🐻"),
  Emoji(keywords: [
    "animal",
    "nature",
    "panda",
  ], emoji: "🐼"),
  Emoji(keywords: [
    "animal",
    "nature",
  ], emoji: "🐨"),
  Emoji(keywords: [
    "animal",
    "cat",
    "danger",
    "wild",
    "nature",
    "roar",
  ], emoji: "🐯"),
  Emoji(keywords: [
    "animal",
    "nature",
  ], emoji: "🦁"),
  Emoji(keywords: [
    "beef",
    "ox",
    "animal",
    "nature",
    "moo",
    "milk",
  ], emoji: "🐮"),
  Emoji(keywords: [
    "animal",
    "oink",
    "nature",
  ], emoji: "🐷"),
  Emoji(keywords: [
    "animal",
    "oink",
  ], emoji: "🐽"),
  Emoji(keywords: [
    "animal",
    "nature",
    "croak",
    "toad",
  ], emoji: "🐸"),
  Emoji(keywords: [
    "animal",
    "nature",
    "ocean",
    "sea",
  ], emoji: "🦑"),
  Emoji(keywords: [
    "animal",
    "creature",
    "ocean",
    "sea",
    "nature",
    "beach",
  ], emoji: "🐙"),
  Emoji(keywords: [
    "animal",
    "ocean",
    "nature",
    "seafood",
  ], emoji: "🦐"),
  Emoji(keywords: [
    "animal",
    "nature",
    "circus",
  ], emoji: "🐵"),
  Emoji(keywords: [
    "animal",
    "nature",
    "circus",
  ], emoji: "🦍"),
  Emoji(keywords: [
    "monkey",
    "animal",
    "nature",
    "haha",
  ], emoji: "🙈"),
  Emoji(keywords: [
    "animal",
    "monkey",
    "nature",
  ], emoji: "🙉"),
  Emoji(keywords: [
    "monkey",
    "animal",
    "nature",
    "omg",
  ], emoji: "🙊"),
  Emoji(keywords: [
    "animal",
    "nature",
    "banana",
    "circus",
  ], emoji: "🐒"),
  Emoji(keywords: [
    "animal",
    "cluck",
    "nature",
    "bird",
  ], emoji: "🐔"),
  Emoji(keywords: [
    "animal",
    "nature",
  ], emoji: "🐧"),
  Emoji(keywords: [
    "animal",
    "nature",
    "fly",
    "tweet",
    "spring",
  ], emoji: "🐦"),
  Emoji(keywords: [
    "animal",
    "chicken",
    "bird",
  ], emoji: "🐤"),
  Emoji(keywords: [
    "animal",
    "chicken",
    "egg",
    "born",
    "baby",
    "bird",
  ], emoji: "🐣"),
  Emoji(keywords: [
    "animal",
    "chicken",
    "baby",
    "bird",
  ], emoji: "🐥"),
  Emoji(keywords: [
    "animal",
    "nature",
    "bird",
    "mallard",
  ], emoji: "🦆"),
  Emoji(keywords: [
    "animal",
    "nature",
    "bird",
  ], emoji: "🦅"),
  Emoji(keywords: [
    "animal",
    "nature",
    "bird",
    "hoot",
  ], emoji: "🦉"),
  Emoji(keywords: [
    "animal",
    "nature",
    "blind",
    "vampire",
  ], emoji: "🦇"),
  Emoji(keywords: [
    "animal",
    "nature",
    "wild",
  ], emoji: "🐺"),
  Emoji(keywords: [
    "animal",
    "nature",
  ], emoji: "🐗"),
  Emoji(keywords: [
    "animal",
    "brown",
    "nature",
  ], emoji: "🐴"),
  Emoji(keywords: [
    "animal",
    "nature",
    "mystical",
  ], emoji: "🦄"),
  Emoji(keywords: [
    "animal",
    "insect",
    "nature",
    "bug",
    "spring",
    "honey",
  ], emoji: "🐝"),
  Emoji(keywords: [
    "animal",
    "insect",
    "nature",
    "worm",
  ], emoji: "🐛"),
  Emoji(keywords: [
    "animal",
    "insect",
    "nature",
    "caterpillar",
  ], emoji: "🦋"),
  Emoji(keywords: [
    "slow",
    "animal",
    "shell",
  ], emoji: "🐌"),
  Emoji(keywords: [
    "animal",
    "insect",
    "nature",
    "ladybug",
  ], emoji: "🐞"),
  Emoji(keywords: [
    "animal",
    "insect",
    "nature",
    "bug",
  ], emoji: "🐜"),
  Emoji(keywords: [
    "animal",
    "cricket",
    "chirp",
  ], emoji: "🦗"),
  Emoji(keywords: [
    "animal",
    "arachnid",
  ], emoji: "🕷"),
  Emoji(keywords: [
    "animal",
    "arachnid",
  ], emoji: "🦂"),
  Emoji(keywords: [
    "animal",
    "crustacean",
  ], emoji: "🦀"),
  Emoji(keywords: [
    "animal",
    "evil",
    "nature",
    "hiss",
    "python",
  ], emoji: "🐍"),
  Emoji(keywords: [
    "animal",
    "nature",
    "reptile",
  ], emoji: "🦎"),
  Emoji(keywords: [
    "animal",
    "nature",
    "dinosaur",
    "tyrannosaurus",
    "extinct",
  ], emoji: "🦖"),
  Emoji(keywords: [
    "animal",
    "nature",
    "dinosaur",
    "brachiosaurus",
    "brontosaurus",
    "diplodocus",
    "extinct",
  ], emoji: "🦕"),
  Emoji(keywords: [
    "animal",
    "slow",
    "nature",
    "tortoise",
  ], emoji: "🐢"),
  Emoji(keywords: [
    "animal",
    "swim",
    "ocean",
    "beach",
    "nemo",
  ], emoji: "🐠"),
  Emoji(keywords: [
    "animal",
    "food",
    "nature",
  ], emoji: "🐟"),
  Emoji(keywords: [
    "animal",
    "nature",
    "food",
    "sea",
    "ocean",
  ], emoji: "🐡"),
  Emoji(keywords: [
    "animal",
    "nature",
    "fish",
    "sea",
    "ocean",
    "flipper",
    "fins",
    "beach",
  ], emoji: "🐬"),
  Emoji(keywords: [
    "animal",
    "nature",
    "fish",
    "sea",
    "ocean",
    "jaws",
    "fins",
    "beach",
  ], emoji: "🦈"),
  Emoji(keywords: [
    "animal",
    "nature",
    "sea",
    "ocean",
  ], emoji: "🐳"),
  Emoji(keywords: [
    "animal",
    "nature",
    "sea",
    "ocean",
  ], emoji: "🐋"),
  Emoji(keywords: [
    "animal",
    "nature",
    "reptile",
    "lizard",
    "alligator",
  ], emoji: "🐊"),
  Emoji(keywords: [
    "animal",
    "nature",
  ], emoji: "🐆"),
  Emoji(keywords: [
    "animal",
    "nature",
    "stripes",
    "safari",
  ], emoji: "🦓"),
  Emoji(keywords: [
    "animal",
    "nature",
    "roar",
  ], emoji: "🐅"),
  Emoji(keywords: [
    "animal",
    "nature",
    "ox",
    "cow",
  ], emoji: "🐃"),
  Emoji(keywords: [
    "animal",
    "cow",
    "beef",
  ], emoji: "🐂"),
  Emoji(keywords: [
    "beef",
    "ox",
    "animal",
    "nature",
    "moo",
    "milk",
  ], emoji: "🐄"),
  Emoji(keywords: [
    "animal",
    "nature",
    "horns",
    "venison",
  ], emoji: "🦌"),
  Emoji(keywords: [
    "animal",
    "hot",
    "desert",
    "hump",
  ], emoji: "🐪"),
  Emoji(keywords: [
    "animal",
    "nature",
    "hot",
    "desert",
    "hump",
  ], emoji: "🐫"),
  Emoji(keywords: [
    "animal",
    "nature",
    "spots",
    "safari",
  ], emoji: "🦒"),
  Emoji(keywords: [
    "animal",
    "nature",
    "nose",
    "th",
    "circus",
  ], emoji: "🐘"),
  Emoji(keywords: [
    "animal",
    "nature",
    "horn",
  ], emoji: "🦏"),
  Emoji(keywords: [
    "animal",
    "nature",
  ], emoji: "🐐"),
  Emoji(keywords: [
    "animal",
    "sheep",
    "nature",
  ], emoji: "🐏"),
  Emoji(keywords: [
    "animal",
    "nature",
    "wool",
    "shipit",
  ], emoji: "🐑"),
  Emoji(keywords: [
    "animal",
    "gamble",
    "luck",
  ], emoji: "🐎"),
  Emoji(keywords: [
    "animal",
    "nature",
  ], emoji: "🐖"),
  Emoji(keywords: [
    "animal",
    "mouse",
    "rodent",
  ], emoji: "🐀"),
  Emoji(keywords: [
    "animal",
    "nature",
    "rodent",
  ], emoji: "🐁"),
  Emoji(keywords: [
    "animal",
    "nature",
    "chicken",
  ], emoji: "🐓"),
  Emoji(keywords: [
    "animal",
    "bird",
  ], emoji: "🦃"),
  Emoji(keywords: [
    "animal",
    "bird",
  ], emoji: "🕊"),
  Emoji(keywords: [
    "animal",
    "nature",
    "friend",
    "doge",
    "pet",
    "faithful",
  ], emoji: "🐕"),
  Emoji(keywords: [
    "dog",
    "animal",
    "101",
    "nature",
    "pet",
  ], emoji: "🐩"),
  Emoji(keywords: [
    "animal",
    "meow",
    "pet",
    "cats",
  ], emoji: "🐈"),
  Emoji(keywords: [
    "animal",
    "nature",
    "pet",
    "magic",
    "spring",
  ], emoji: "🐇"),
  Emoji(keywords: [
    "animal",
    "nature",
    "rodent",
    "squirrel",
  ], emoji: "🐿"),
  Emoji(keywords: [
    "animal",
    "nature",
    "spiny",
  ], emoji: "🦔"),
  Emoji(keywords: [
    "animal",
    "nature",
  ], emoji: "🦝"),
  Emoji(keywords: [
    "animal",
    "nature",
    "alpaca",
  ], emoji: "🦙"),
  Emoji(keywords: [
    "animal",
    "nature",
  ], emoji: "🦛"),
  Emoji(keywords: [
    "animal",
    "nature",
    "australia",
    "joey",
    "hop",
    "marsupial",
  ], emoji: "🦘"),
  Emoji(keywords: [
    "animal",
    "nature",
    "honey",
  ], emoji: "🦡"),
  Emoji(keywords: [
    "animal",
    "nature",
    "bird",
  ], emoji: "🦢"),
  Emoji(keywords: [
    "animal",
    "nature",
    "peahen",
    "bird",
  ], emoji: "🦚"),
  Emoji(keywords: [
    "animal",
    "nature",
    "bird",
    "pirate",
    "talk",
  ], emoji: "🦜"),
  Emoji(keywords: [
    "animal",
    "nature",
    "bisque",
    "claws",
    "seafood",
  ], emoji: "🦞"),
  Emoji(keywords: [
    "animal",
    "nature",
    "insect",
    "malaria",
  ], emoji: "🦟"),
  Emoji(keywords: [
    "animal",
    "tracking",
    "footprints",
    "dog",
    "cat",
    "pet",
    "feet",
  ], emoji: "🐾"),
  Emoji(keywords: [
    "animal",
    "myth",
    "nature",
    "chinese",
    "green",
  ], emoji: "🐉"),
  Emoji(keywords: [
    "animal",
    "myth",
    "nature",
    "chinese",
    "green",
  ], emoji: "🐲"),
  Emoji(keywords: [
    "vegetable",
    "plant",
    "nature",
  ], emoji: "🌵"),
  Emoji(keywords: [
    "festival",
    "vacation",
    "december",
    "xmas",
    "celebration",
  ], emoji: "🎄"),
  Emoji(keywords: [
    "plant",
    "nature",
  ], emoji: "🌲"),
  Emoji(keywords: [
    "plant",
    "nature",
  ], emoji: "🌳"),
  Emoji(keywords: [
    "plant",
    "vegetable",
    "nature",
    "summer",
    "beach",
    "mojito",
    "tropical",
  ], emoji: "🌴"),
  Emoji(keywords: [
    "plant",
    "nature",
    "grass",
    "lawn",
    "spring",
  ], emoji: "🌱"),
  Emoji(keywords: [
    "vegetable",
    "plant",
    "medicine",
    "weed",
    "grass",
    "lawn",
  ], emoji: "🌿"),
  Emoji(keywords: [
    "vegetable",
    "plant",
    "nature",
    "irish",
    "clover",
  ], emoji: "☘"),
  Emoji(keywords: [
    "vegetable",
    "plant",
    "nature",
    "lucky",
    "irish",
  ], emoji: "🍀"),
  Emoji(keywords: [
    "plant",
    "nature",
    "vegetable",
    "panda",
    "pine_decoration",
  ], emoji: "🎍"),
  Emoji(keywords: [
    "plant",
    "nature",
    "branch",
    "summer",
  ], emoji: "🎋"),
  Emoji(keywords: [
    "nature",
    "plant",
    "tree",
    "vegetable",
    "grass",
    "lawn",
    "spring",
  ], emoji: "🍃"),
  Emoji(keywords: [
    "nature",
    "plant",
    "vegetable",
    "leaves",
  ], emoji: "🍂"),
  Emoji(keywords: [
    "nature",
    "plant",
    "vegetable",
    "ca",
    "fall",
  ], emoji: "🍁"),
  Emoji(keywords: [
    "nature",
    "plant",
  ], emoji: "🌾"),
  Emoji(keywords: [
    "plant",
    "vegetable",
    "flowers",
    "beach",
  ], emoji: "🌺"),
  Emoji(keywords: [
    "nature",
    "plant",
    "fall",
  ], emoji: "🌻"),
  Emoji(keywords: [
    "flowers",
    "valentines",
    "love",
    "spring",
  ], emoji: "🌹"),
  Emoji(keywords: [
    "plant",
    "nature",
    "flower",
  ], emoji: "🥀"),
  Emoji(keywords: [
    "flowers",
    "plant",
    "nature",
    "summer",
    "spring",
  ], emoji: "🌷"),
  Emoji(keywords: [
    "nature",
    "flowers",
    "yellow",
  ], emoji: "🌼"),
  Emoji(keywords: [
    "nature",
    "plant",
    "spring",
    "flower",
  ], emoji: "🌸"),
  Emoji(keywords: [
    "flowers",
    "nature",
    "spring",
  ], emoji: "💐"),
  Emoji(keywords: [
    "plant",
    "vegetable",
  ], emoji: "🍄"),
  Emoji(keywords: [
    "food",
    "squirrel",
  ], emoji: "🌰"),
  Emoji(keywords: [
    "halloween",
    "light",
    "pumpkin",
    "creepy",
    "fall",
  ], emoji: "🎃"),
  Emoji(keywords: [
    "nature",
    "sea",
    "beach",
  ], emoji: "🐚"),
  Emoji(keywords: [
    "animal",
    "insect",
    "arachnid",
    "silk",
  ], emoji: "🕸"),
  Emoji(keywords: [
    "globe",
    "world",
    "USA",
    "international",
  ], emoji: "🌎"),
  Emoji(keywords: [
    "globe",
    "world",
    "international",
  ], emoji: "🌍"),
  Emoji(keywords: [
    "globe",
    "world",
    "east",
    "international",
  ], emoji: "🌏"),
  Emoji(keywords: [
    "nature",
    "yellow",
    "twilight",
    "planet",
    "space",
    "night",
    "evening",
    "sleep",
  ], emoji: "🌕"),
  Emoji(keywords: [
    "nature",
    "twilight",
    "planet",
    "space",
    "night",
    "evening",
    "sleep",
    "waxing_gibbous_moon",
  ], emoji: "🌖"),
  Emoji(keywords: [
    "nature",
    "twilight",
    "planet",
    "space",
    "night",
    "evening",
    "sleep",
  ], emoji: "🌗"),
  Emoji(keywords: [
    "nature",
    "twilight",
    "planet",
    "space",
    "night",
    "evening",
    "sleep",
  ], emoji: "🌘"),
  Emoji(keywords: [
    "nature",
    "twilight",
    "planet",
    "space",
    "night",
    "evening",
    "sleep",
  ], emoji: "🌑"),
  Emoji(keywords: [
    "nature",
    "twilight",
    "planet",
    "space",
    "night",
    "evening",
    "sleep",
  ], emoji: "🌒"),
  Emoji(keywords: [
    "nature",
    "twilight",
    "planet",
    "space",
    "night",
    "evening",
    "sleep",
  ], emoji: "🌓"),
  Emoji(keywords: [
    "nature",
    "night",
    "sky",
    "gray",
    "twilight",
    "planet",
    "space",
    "evening",
    "sleep",
  ], emoji: "🌔"),
  Emoji(keywords: [
    "nature",
    "twilight",
    "planet",
    "space",
    "night",
    "evening",
    "sleep",
  ], emoji: "🌚"),
  Emoji(keywords: [
    "nature",
    "twilight",
    "planet",
    "space",
    "night",
    "evening",
    "sleep",
  ], emoji: "🌝"),
  Emoji(keywords: [
    "nature",
    "twilight",
    "planet",
    "space",
    "night",
    "evening",
    "sleep",
  ], emoji: "🌛"),
  Emoji(keywords: [
    "nature",
    "twilight",
    "planet",
    "space",
    "night",
    "evening",
    "sleep",
  ], emoji: "🌜"),
  Emoji(keywords: [
    "nature",
    "morning",
    "sky",
  ], emoji: "🌞"),
  Emoji(keywords: [
    "night",
    "sleep",
    "sky",
    "evening",
    "magic",
  ], emoji: "🌙"),
  Emoji(keywords: [
    "night",
    "yellow",
  ], emoji: "⭐"),
  Emoji(keywords: [
    "night",
    "sparkle",
    "awesome",
    "good",
    "magic",
  ], emoji: "🌟"),
  Emoji(keywords: [
    "star",
    "sparkle",
    "shoot",
    "magic",
  ], emoji: "💫"),
  Emoji(keywords: [
    "stars",
    "shine",
    "shiny",
    "cool",
    "awesome",
    "good",
    "magic",
  ], emoji: "✨"),
  Emoji(keywords: [
    "space",
  ], emoji: "☄"),
  Emoji(keywords: [
    "weather",
    "nature",
    "brightness",
    "summer",
    "beach",
    "spring",
  ], emoji: "☀️"),
  Emoji(keywords: [
    "weather",
  ], emoji: "🌤"),
  Emoji(keywords: [
    "weather",
    "nature",
    "cloudy",
    "morning",
    "fall",
    "spring",
  ], emoji: "⛅"),
  Emoji(keywords: [
    "weather",
  ], emoji: "🌥"),
  Emoji(keywords: [
    "weather",
  ], emoji: "🌦"),
  Emoji(keywords: [
    "weather",
    "sky",
  ], emoji: "☁️"),
  Emoji(keywords: [
    "weather",
  ], emoji: "🌧"),
  Emoji(keywords: [
    "weather",
    "lightning",
  ], emoji: "⛈"),
  Emoji(keywords: [
    "weather",
    "thunder",
  ], emoji: "🌩"),
  Emoji(keywords: [
    "thunder",
    "weather",
    "lightning bolt",
    "fast",
  ], emoji: "⚡"),
  Emoji(keywords: [
    "hot",
    "cook",
    "flame",
  ], emoji: "🔥"),
  Emoji(keywords: [
    "bomb",
    "explode",
    "explosion",
    "collision",
    "blown",
  ], emoji: "💥"),
  Emoji(keywords: [
    "winter",
    "season",
    "cold",
    "weather",
    "christmas",
    "xmas",
  ], emoji: "❄️"),
  Emoji(keywords: [
    "weather",
  ], emoji: "🌨"),
  Emoji(keywords: [
    "winter",
    "season",
    "cold",
    "weather",
    "christmas",
    "xmas",
    "frozen",
    "without_snow",
  ], emoji: "⛄"),
  Emoji(keywords: [
    "winter",
    "season",
    "cold",
    "weather",
    "christmas",
    "xmas",
    "frozen",
  ], emoji: "☃"),
  Emoji(keywords: [
    "gust",
    "air",
  ], emoji: "🌬"),
  Emoji(keywords: [
    "wind",
    "air",
    "fast",
    "shoo",
    "fart",
    "smoke",
    "puff",
  ], emoji: "💨"),
  Emoji(keywords: [
    "weather",
    "cyclone",
    "twister",
  ], emoji: "🌪"),
  Emoji(keywords: [
    "weather",
  ], emoji: "🌫"),
  Emoji(keywords: [
    "weather",
    "spring",
  ], emoji: "☂"),
  Emoji(keywords: [
    "rainy",
    "weather",
    "spring",
  ], emoji: "☔"),
  Emoji(keywords: [
    "water",
    "drip",
    "faucet",
    "spring",
  ], emoji: "💧"),
  Emoji(keywords: [
    "water",
    "drip",
    "oops",
  ], emoji: "💦"),
  Emoji(keywords: [
    "sea",
    "water",
    "wave",
    "nature",
    "tsunami",
    "disaster",
  ], emoji: "🌊"),
];

final List<Emoji> smileyList = [
  Emoji(keywords: [
    "face",
    "smile",
    "happy",
    "joy",
    ":D",
    "grin",
  ], emoji: "😀"),
  Emoji(keywords: [
    "face",
    "grimace",
    "teeth",
  ], emoji: "😬"),
  Emoji(keywords: [
    "face",
    "happy",
    "smile",
    "joy",
    "kawaii",
  ], emoji: "😁"),
  Emoji(keywords: [
    "face",
    "cry",
    "tears",
    "weep",
    "happy",
    "happytears",
    "haha",
  ], emoji: "😂"),
  Emoji(keywords: [
    "face",
    "rolling",
    "floor",
    "laughing",
    "lol",
    "haha",
  ], emoji: "🤣"),
  Emoji(keywords: [
    "face",
    "celebration",
    "woohoo",
  ], emoji: "🥳"),
  Emoji(keywords: [
    "face",
    "happy",
    "joy",
    "haha",
    ":D",
    ":)",
    "smile",
    "funny",
  ], emoji: "😃"),
  Emoji(keywords: [
    "face",
    "happy",
    "joy",
    "funny",
    "haha",
    "laugh",
    "like",
    ":D",
    ":)",
  ], emoji: "😄"),
  Emoji(keywords: [
    "face",
    "hot",
    "happy",
    "laugh",
    "sweat",
    "smile",
    "relief",
  ], emoji: "😅"),
  Emoji(keywords: [
    "happy",
    "joy",
    "lol",
    "satisfied",
    "haha",
    "face",
    "glad",
    "XD",
    "laugh",
  ], emoji: "😆"),
  Emoji(keywords: [
    "face",
    "angel",
    "heaven",
    "halo",
  ], emoji: "😇"),
  Emoji(keywords: [
    "face",
    "happy",
    "mischievous",
    "secret",
    ";)",
    "smile",
    "eye",
  ], emoji: "😉"),
  Emoji(keywords: [
    "face",
    "smile",
    "happy",
    "flushed",
    "crush",
    "embarrassed",
    "shy",
    "joy",
  ], emoji: "😊"),
  Emoji(keywords: [
    "face",
    "smile",
  ], emoji: "🙂"),
  Emoji(keywords: [
    "face",
    "flipped",
    "silly",
    "smile",
  ], emoji: "🙃"),
  Emoji(keywords: [
    "face",
    "blush",
    "massage",
    "happiness",
  ], emoji: "☺️"),
  Emoji(keywords: [
    "happy",
    "joy",
    "tongue",
    "smile",
    "face",
    "silly",
    "yummy",
    "nom",
    "delicious",
    "savouring",
  ], emoji: "😋"),
  Emoji(keywords: [
    "face",
    "relaxed",
    "phew",
    "massage",
    "happiness",
  ], emoji: "😌"),
  Emoji(keywords: [
    "face",
    "love",
    "like",
    "affection",
    "valentines",
    "infatuation",
    "crush",
    "heart",
  ], emoji: "😍"),
  Emoji(keywords: [
    "face",
    "love",
    "like",
    "affection",
    "valentines",
    "infatuation",
    "crush",
    "hearts",
    "adore",
  ], emoji: "🥰"),
  Emoji(keywords: [
    "face",
    "love",
    "like",
    "affection",
    "valentines",
    "infatuation",
    "kiss",
  ], emoji: "😘"),
  Emoji(keywords: [
    "love",
    "like",
    "face",
    "3",
    "valentines",
    "infatuation",
    "kiss",
  ], emoji: "😗"),
  Emoji(keywords: [
    "face",
    "affection",
    "valentines",
    "infatuation",
    "kiss",
  ], emoji: "😙"),
  Emoji(keywords: [
    "face",
    "love",
    "like",
    "affection",
    "valentines",
    "infatuation",
    "kiss",
  ], emoji: "😚"),
  Emoji(keywords: [
    "face",
    "prank",
    "childish",
    "playful",
    "mischievous",
    "smile",
    "wink",
    "tongue",
  ], emoji: "😜"),
  Emoji(keywords: [
    "face",
    "goofy",
    "crazy",
  ], emoji: "🤪"),
  Emoji(keywords: [
    "face",
    "distrust",
    "scepticism",
    "disapproval",
    "disbelief",
    "surprise",
  ], emoji: "🤨"),
  Emoji(keywords: [
    "face",
    "stuffy",
    "wealthy",
  ], emoji: "🧐"),
  Emoji(keywords: [
    "face",
    "prank",
    "playful",
    "mischievous",
    "smile",
    "tongue",
  ], emoji: "😝"),
  Emoji(keywords: [
    "face",
    "prank",
    "childish",
    "playful",
    "mischievous",
    "smile",
    "tongue",
  ], emoji: "😛"),
  Emoji(keywords: [
    "face",
    "rich",
    "dollar",
    "money",
  ], emoji: "🤑"),
  Emoji(keywords: [
    "face",
    "nerdy",
    "geek",
    "dork",
  ], emoji: "🤓"),
  Emoji(keywords: [
    "face",
    "cool",
    "smile",
    "summer",
    "beach",
    "sunglass",
  ], emoji: "😎"),
  Emoji(keywords: [
    "face",
    "smile",
    "starry",
    "eyes",
    "grinning",
  ], emoji: "🤩"),
  Emoji(keywords: [
    "face",
  ], emoji: "🤡"),
  Emoji(keywords: [
    "face",
    "cowgirl",
    "hat",
  ], emoji: "🤠"),
  Emoji(keywords: [
    "face",
    "smile",
    "hug",
  ], emoji: "🤗"),
  Emoji(keywords: [
    "face",
    "smile",
    "mean",
    "prank",
    "smug",
    "sarcasm",
  ], emoji: "😏"),
  Emoji(keywords: [
    "face",
    "hellokitty",
  ], emoji: "😶"),
  Emoji(keywords: [
    "indifference",
    "meh",
    ":|",
    "neutral",
  ], emoji: "😐"),
  Emoji(keywords: [
    "face",
    "indifferent",
    "-_-",
    "meh",
    "deadpan",
  ], emoji: "😑"),
  Emoji(keywords: [
    "indifference",
    "bored",
    "straight face",
    "serious",
    "sarcasm",
    "unimpressed",
    "skeptical",
    "dubious",
    "side_eye",
  ], emoji: "😒"),
  Emoji(keywords: [
    "face",
    "eyeroll",
    "frustrated",
  ], emoji: "🙄"),
  Emoji(keywords: [
    "face",
    "hmmm",
    "think",
    "consider",
  ], emoji: "🤔"),
  Emoji(keywords: [
    "face",
    "lie",
    "pinocchio",
  ], emoji: "🤥"),
  Emoji(keywords: [
    "face",
    "whoops",
    "shock",
    "surprise",
  ], emoji: "🤭"),
  Emoji(keywords: [
    "face",
    "quiet",
    "shhh",
  ], emoji: "🤫"),
  Emoji(keywords: [
    "face",
    "swearing",
    "cursing",
    "cussing",
    "profanity",
    "expletive",
  ], emoji: "🤬"),
  Emoji(keywords: [
    "face",
    "shocked",
    "mind",
    "blown",
  ], emoji: "🤯"),
  Emoji(keywords: [
    "face",
    "blush",
    "shy",
    "flattered",
  ], emoji: "😳"),
  Emoji(keywords: [
    "face",
    "sad",
    "upset",
    "depressed",
    ":(",
  ], emoji: "😞"),
  Emoji(keywords: [
    "face",
    "concern",
    "nervous",
    ":(",
  ], emoji: "😟"),
  Emoji(keywords: [
    "mad",
    "face",
    "annoyed",
    "frustrated",
  ], emoji: "😠"),
  Emoji(keywords: [
    "angry",
    "mad",
    "hate",
    "despise",
  ], emoji: "😡"),
  Emoji(keywords: [
    "face",
    "sad",
    "depressed",
    "upset",
  ], emoji: "😔"),
  Emoji(keywords: [
    "face",
    "indifference",
    "huh",
    "weird",
    "hmmm",
    ":/",
  ], emoji: "😕"),
  Emoji(keywords: [
    "face",
    "frowning",
    "disappointed",
    "sad",
    "upset",
  ], emoji: "🙁"),
  Emoji(keywords: [
    "face",
    "sad",
    "upset",
    "frown",
  ], emoji: "☹"),
  Emoji(keywords: [
    "face",
    "sick",
    "no",
    "upset",
    "oops",
  ], emoji: "😣"),
  Emoji(keywords: [
    "face",
    "confused",
    "sick",
    "unwell",
    "oops",
    ":S",
  ], emoji: "😖"),
  Emoji(keywords: [
    "sick",
    "whine",
    "upset",
    "frustrated",
  ], emoji: "😫"),
  Emoji(keywords: [
    "face",
    "tired",
    "sleepy",
    "sad",
    "frustrated",
    "upset",
  ], emoji: "😩"),
  Emoji(keywords: [
    "face",
    "begging",
    "mercy",
  ], emoji: "🥺"),
  Emoji(keywords: [
    "face",
    "gas",
    "phew",
    "proud",
    "pride",
  ], emoji: "😤"),
  Emoji(keywords: [
    "face",
    "surprise",
    "impressed",
    "wow",
    "whoa",
    ":O",
  ], emoji: "😮"),
  Emoji(keywords: [
    "face",
    "munch",
    "scared",
    "omg",
  ], emoji: "😱"),
  Emoji(keywords: [
    "face",
    "scared",
    "terrified",
    "nervous",
    "oops",
    "huh",
  ], emoji: "😨"),
  Emoji(keywords: [
    "face",
    "nervous",
    "sweat",
  ], emoji: "😰"),
  Emoji(keywords: [
    "face",
    "woo",
    "shh",
  ], emoji: "😯"),
  Emoji(keywords: [
    "face",
    "aw",
    "what",
  ], emoji: "😦"),
  Emoji(keywords: [
    "face",
    "stunned",
    "nervous",
  ], emoji: "😧"),
  Emoji(keywords: [
    "face",
    "tears",
    "sad",
    "depressed",
    "upset",
    ":'(",
  ], emoji: "😢"),
  Emoji(keywords: [
    "face",
    "phew",
    "sweat",
    "nervous",
  ], emoji: "😥"),
  Emoji(keywords: [
    "face",
  ], emoji: "🤤"),
  Emoji(keywords: [
    "face",
    "tired",
    "rest",
    "nap",
  ], emoji: "😪"),
  Emoji(keywords: [
    "face",
    "hot",
    "sad",
    "tired",
    "exercise",
  ], emoji: "😓"),
  Emoji(keywords: [
    "face",
    "feverish",
    "heat",
    "red",
    "sweating",
  ], emoji: "🥵"),
  Emoji(keywords: [
    "face",
    "blue",
    "freezing",
    "frozen",
    "frostbite",
    "icicles",
  ], emoji: "🥶"),
  Emoji(keywords: [
    "face",
    "cry",
    "tears",
    "sad",
    "upset",
    "depressed",
  ], emoji: "😭"),
  Emoji(keywords: [
    "spent",
    "unconscious",
    "xox",
    "dizzy",
  ], emoji: "😵"),
  Emoji(keywords: [
    "face",
    "xox",
    "surprised",
    "poisoned",
  ], emoji: "😲"),
  Emoji(keywords: [
    "face",
    "sealed",
    "zipper",
    "secret",
  ], emoji: "🤐"),
  Emoji(keywords: [
    "face",
    "vomit",
    "gross",
    "green",
    "sick",
    "throw up",
    "ill",
  ], emoji: "🤢"),
  Emoji(keywords: [
    "face",
    "gesundheit",
    "sneeze",
    "sick",
    "allergy",
  ], emoji: "🤧"),
  Emoji(keywords: [
    "face",
    "sick",
  ], emoji: "🤮"),
  Emoji(keywords: [
    "face",
    "sick",
    "ill",
    "disease",
  ], emoji: "😷"),
  Emoji(keywords: [
    "sick",
    "temperature",
    "thermometer",
    "cold",
    "fever",
  ], emoji: "🤒"),
  Emoji(keywords: [
    "injured",
    "clumsy",
    "bandage",
    "hurt",
  ], emoji: "🤕"),
  Emoji(keywords: [
    "face",
    "dizzy",
    "intoxicated",
    "tipsy",
    "wavy",
  ], emoji: "🥴"),
  Emoji(keywords: [
    "face",
    "tired",
    "sleepy",
    "night",
    "zzz",
  ], emoji: "😴"),
  Emoji(keywords: [
    "sleepy",
    "tired",
    "dream",
  ], emoji: "💤"),
  Emoji(keywords: [
    "hankey",
    "shitface",
    "fail",
    "turd",
    "shit",
  ], emoji: "💩"),
  Emoji(keywords: [
    "devil",
    "horns",
  ], emoji: "😈"),
  Emoji(keywords: [
    "devil",
    "angry",
    "horns",
  ], emoji: "👿"),
  Emoji(keywords: [
    "monster",
    "red",
    "mask",
    "halloween",
    "scary",
    "creepy",
    "devil",
    "demon",
    "japanese",
    "ogre",
  ], emoji: "👹"),
  Emoji(keywords: [
    "red",
    "evil",
    "mask",
    "monster",
    "scary",
    "creepy",
    "japanese",
    "goblin",
  ], emoji: "👺"),
  Emoji(keywords: [
    "dead",
    "skeleton",
    "creepy",
    "death",
  ], emoji: "💀"),
  Emoji(keywords: [
    "halloween",
    "spooky",
    "scary",
  ], emoji: "👻"),
  Emoji(keywords: [
    "UFO",
    "paul",
    "weird",
    "outer_space",
  ], emoji: "👽"),
  Emoji(keywords: [
    "computer",
    "machine",
    "bot",
  ], emoji: "🤖"),
  Emoji(keywords: [
    "animal",
    "cats",
    "happy",
    "smile",
  ], emoji: "😺"),
  Emoji(keywords: [
    "animal",
    "cats",
    "smile",
  ], emoji: "😸"),
  Emoji(keywords: [
    "animal",
    "cats",
    "haha",
    "happy",
    "tears",
  ], emoji: "😹"),
  Emoji(keywords: [
    "animal",
    "love",
    "like",
    "affection",
    "cats",
    "valentines",
    "heart",
  ], emoji: "😻"),
  Emoji(keywords: [
    "animal",
    "cats",
    "smirk",
  ], emoji: "😼"),
  Emoji(keywords: [
    "animal",
    "cats",
    "kiss",
  ], emoji: "😽"),
  Emoji(keywords: [
    "animal",
    "cats",
    "munch",
    "scared",
    "scream",
  ], emoji: "🙀"),
  Emoji(keywords: [
    "animal",
    "tears",
    "weep",
    "sad",
    "cats",
    "upset",
    "cry",
  ], emoji: "😿"),
  Emoji(keywords: [
    "animal",
    "cats",
  ], emoji: "😾"),
  Emoji(keywords: [
    "hands",
    "gesture",
    "cupped",
    "prayer",
  ], emoji: "🤲"),
  Emoji(keywords: [
    "gesture",
    "hooray",
    "yea",
    "celebration",
    "hands",
  ], emoji: "🙌"),
  Emoji(keywords: [
    "hands",
    "praise",
    "applause",
    "congrats",
    "yay",
  ], emoji: "👏"),
  Emoji(keywords: [
    "hands",
    "gesture",
    "goodbye",
    "solong",
    "farewell",
    "hello",
    "hi",
    "palm",
  ], emoji: "👋"),
  Emoji(keywords: [
    "hands",
    "gesture",
  ], emoji: "🤙"),
  Emoji(keywords: [
    "thumbsup",
    "yes",
    "awesome",
    "good",
    "agree",
    "accept",
    "cool",
    "hand",
    "like",
  ], emoji: "👍"),
  Emoji(keywords: [
    "thumbsdown",
    "no",
    "dislike",
    "hand",
  ], emoji: "👎"),
  Emoji(keywords: [
    "angry",
    "violence",
    "fist",
    "hit",
    "attack",
    "hand",
  ], emoji: "👊"),
  Emoji(keywords: [
    "fingers",
    "hand",
    "grasp",
  ], emoji: "✊"),
  Emoji(keywords: [
    "hand",
    "fistbump",
  ], emoji: "🤛"),
  Emoji(keywords: [
    "hand",
    "fistbump",
  ], emoji: "🤜"),
  Emoji(keywords: [
    "fingers",
    "ohyeah",
    "hand",
    "peace",
    "victory",
    "two",
  ], emoji: "✌"),
  Emoji(keywords: [
    "fingers",
    "limbs",
    "perfect",
    "ok",
    "okay",
  ], emoji: "👌"),
  Emoji(keywords: [
    "fingers",
    "stop",
    "highfive",
    "palm",
    "ban",
  ], emoji: "✋"),
  Emoji(keywords: [
    "fingers",
    "raised",
    "backhand",
  ], emoji: "🤚"),
  Emoji(keywords: [
    "fingers",
    "butterfly",
    "hands",
    "open",
  ], emoji: "👐"),
  Emoji(keywords: [
    "arm",
    "flex",
    "hand",
    "summer",
    "strong",
    "biceps",
  ], emoji: "💪"),
  Emoji(keywords: [
    "please",
    "hope",
    "wish",
    "namaste",
    "highfive",
  ], emoji: "🙏"),
  Emoji(keywords: [
    "kick",
    "stomp",
  ], emoji: "🦶"),
  Emoji(keywords: [
    "kick",
    "limb",
  ], emoji: "🦵"),
  Emoji(keywords: [
    "agreement",
    "shake",
  ], emoji: "🤝"),
  Emoji(keywords: [
    "hand",
    "fingers",
    "direction",
    "up",
  ], emoji: "☝"),
  Emoji(keywords: [
    "fingers",
    "hand",
    "direction",
    "up",
  ], emoji: "👆"),
  Emoji(keywords: [
    "fingers",
    "hand",
    "direction",
    "down",
  ], emoji: "👇"),
  Emoji(keywords: [
    "direction",
    "fingers",
    "hand",
    "left",
  ], emoji: "👈"),
  Emoji(keywords: [
    "fingers",
    "hand",
    "direction",
    "right",
  ], emoji: "👉"),
  Emoji(keywords: [
    "hand",
    "fingers",
    "rude",
    "middle",
    "flipping",
  ], emoji: "🖕"),
  Emoji(keywords: [
    "hand",
    "fingers",
    "palm",
  ], emoji: "🖐"),
  Emoji(keywords: [
    "hand",
    "fingers",
    "gesture",
  ], emoji: "🤟"),
  Emoji(keywords: [
    "hand",
    "fingers",
    "evil_eye",
    "sign_of_horns",
    "rock_on",
  ], emoji: "🤘"),
  Emoji(keywords: [
    "good",
    "lucky",
  ], emoji: "🤞"),
  Emoji(keywords: [
    "hand",
    "fingers",
    "spock",
    "star trek",
  ], emoji: "🖖"),
  Emoji(keywords: [
    "lower_left_ballpoint_pen",
    "stationery",
    "write",
    "compose",
  ], emoji: "✍"),
  Emoji(keywords: [
    "camera",
    "phone",
  ], emoji: "🤳"),
  Emoji(keywords: [
    "beauty",
    "manicure",
    "finger",
    "fashion",
    "nail",
  ], emoji: "💅"),
  Emoji(keywords: [
    "mouth",
    "kiss",
  ], emoji: "👄"),
  Emoji(keywords: [
    "teeth",
    "dentist",
  ], emoji: "🦷"),
  Emoji(keywords: [
    "mouth",
    "playful",
  ], emoji: "👅"),
  Emoji(keywords: [
    "face",
    "hear",
    "sound",
    "listen",
  ], emoji: "👂"),
  Emoji(keywords: [
    "smell",
    "sniff",
  ], emoji: "👃"),
  Emoji(keywords: [
    "face",
    "look",
    "see",
    "watch",
    "stare",
  ], emoji: "👁"),
  Emoji(keywords: [
    "look",
    "watch",
    "stalk",
    "peek",
    "see",
  ], emoji: "👀"),
  Emoji(keywords: [
    "smart",
    "intelligent",
  ], emoji: "🧠"),
  Emoji(keywords: [
    "user",
    "person",
    "human",
  ], emoji: "👤"),
  Emoji(keywords: [
    "user",
    "person",
    "human",
    "group",
    "team",
  ], emoji: "👥"),
  Emoji(keywords: [
    "user",
    "person",
    "human",
    "sing",
    "say",
    "talk",
  ], emoji: "🗣"),
  Emoji(keywords: [
    "child",
    "boy",
    "girl",
    "toddler",
  ], emoji: "👶"),
  Emoji(keywords: [
    "gender-neutral",
    "young",
  ], emoji: "🧒"),
  Emoji(keywords: [
    "man",
    "male",
    "guy",
    "teenager",
  ], emoji: "👦"),
  Emoji(keywords: [
    "female",
    "woman",
    "teenager",
  ], emoji: "👧"),
  Emoji(keywords: [
    "gender-neutral",
    "person",
  ], emoji: "🧑"),
  Emoji(keywords: [
    "mustache",
    "father",
    "dad",
    "guy",
    "classy",
    "sir",
    "moustache",
  ], emoji: "👨"),
  Emoji(keywords: [
    "female",
    "girls",
    "lady",
  ], emoji: "👩"),
  Emoji(keywords: [
    "woman",
    "female",
    "girl",
    "blonde",
    "person",
  ], emoji: "👱‍♀️"),
  Emoji(keywords: [
    "man",
    "male",
    "boy",
    "blonde",
    "guy",
    "person",
  ], emoji: "👱"),
  Emoji(keywords: [
    "person",
    "bewhiskered",
  ], emoji: "🧔"),
  Emoji(keywords: [
    "human",
    "elder",
    "senior",
    "gender-neutral",
  ], emoji: "🧓"),
  Emoji(keywords: [
    "human",
    "male",
    "men",
    "old",
    "elder",
    "senior",
  ], emoji: "👴"),
  Emoji(keywords: [
    "human",
    "female",
    "women",
    "lady",
    "old",
    "elder",
    "senior",
  ], emoji: "👵"),
  Emoji(keywords: [
    "male",
    "boy",
    "chinese",
  ], emoji: "👲"),
  Emoji(keywords: [
    "female",
    "hijab",
    "mantilla",
    "tichel",
  ], emoji: "🧕"),
  Emoji(keywords: [
    "female",
    "indian",
    "hinduism",
    "arabs",
    "woman",
  ], emoji: "👳‍♀️"),
  Emoji(keywords: [
    "male",
    "indian",
    "hinduism",
    "arabs",
  ], emoji: "👳"),
  Emoji(keywords: [
    "woman",
    "police",
    "law",
    "legal",
    "enforcement",
    "arrest",
    "911",
    "female",
  ], emoji: "👮‍♀️"),
  Emoji(keywords: [
    "man",
    "police",
    "law",
    "legal",
    "enforcement",
    "arrest",
    "911",
  ], emoji: "👮"),
  Emoji(keywords: [
    "female",
    "human",
    "wip",
    "build",
    "construction",
    "worker",
    "labor",
    "woman",
  ], emoji: "👷‍♀️"),
  Emoji(keywords: [
    "male",
    "human",
    "wip",
    "guy",
    "build",
    "construction",
    "worker",
    "labor",
  ], emoji: "👷"),
  Emoji(keywords: [
    "uk",
    "gb",
    "british",
    "female",
    "royal",
    "woman",
  ], emoji: "💂‍♀️"),
  Emoji(keywords: [
    "uk",
    "gb",
    "british",
    "male",
    "guy",
    "royal",
  ], emoji: "💂"),
  Emoji(keywords: [
    "human",
    "spy",
    "detective",
    "female",
    "woman",
  ], emoji: "🕵️‍♀️"),
  Emoji(keywords: [
    "human",
    "spy",
    "detective",
  ], emoji: "🕵"),
  Emoji(keywords: [
    "doctor",
    "nurse",
    "therapist",
    "healthcare",
    "woman",
    "human",
  ], emoji: "👩‍⚕️"),
  Emoji(keywords: [
    "doctor",
    "nurse",
    "therapist",
    "healthcare",
    "man",
    "human",
  ], emoji: "👨‍⚕️"),
  Emoji(keywords: [
    "rancher",
    "gardener",
    "woman",
    "human",
  ], emoji: "👩‍🌾"),
  Emoji(keywords: [
    "rancher",
    "gardener",
    "man",
    "human",
  ], emoji: "👨‍🌾"),
  Emoji(keywords: [
    "chef",
    "woman",
    "human",
  ], emoji: "👩‍🍳"),
  Emoji(keywords: [
    "chef",
    "man",
    "human",
  ], emoji: "👨‍🍳"),
  Emoji(keywords: [
    "graduate",
    "woman",
    "human",
  ], emoji: "👩‍🎓"),
  Emoji(keywords: [
    "graduate",
    "man",
    "human",
  ], emoji: "👨‍🎓"),
  Emoji(keywords: [
    "rockstar",
    "entertainer",
    "woman",
    "human",
  ], emoji: "👩‍🎤"),
  Emoji(keywords: [
    "rockstar",
    "entertainer",
    "man",
    "human",
  ], emoji: "👨‍🎤"),
  Emoji(keywords: [
    "instructor",
    "professor",
    "woman",
    "human",
  ], emoji: "👩‍🏫"),
  Emoji(keywords: [
    "instructor",
    "professor",
    "man",
    "human",
  ], emoji: "👨‍🏫"),
  Emoji(keywords: [
    "assembly",
    "industrial",
    "woman",
    "human",
  ], emoji: "👩‍🏭"),
  Emoji(keywords: [
    "assembly",
    "industrial",
    "man",
    "human",
  ], emoji: "👨‍🏭"),
  Emoji(keywords: [
    "coder",
    "developer",
    "engineer",
    "programmer",
    "software",
    "woman",
    "human",
    "laptop",
    "computer",
  ], emoji: "👩‍💻"),
  Emoji(keywords: [
    "coder",
    "developer",
    "engineer",
    "programmer",
    "software",
    "man",
    "human",
    "laptop",
    "computer",
  ], emoji: "👨‍💻"),
  Emoji(keywords: [
    "business",
    "manager",
    "woman",
    "human",
  ], emoji: "👩‍💼"),
  Emoji(keywords: [
    "business",
    "manager",
    "man",
    "human",
  ], emoji: "👨‍💼"),
  Emoji(keywords: [
    "plumber",
    "woman",
    "human",
    "wrench",
  ], emoji: "👩‍🔧"),
  Emoji(keywords: [
    "plumber",
    "man",
    "human",
    "wrench",
  ], emoji: "👨‍🔧"),
  Emoji(keywords: [
    "biologist",
    "chemist",
    "engineer",
    "physicist",
    "woman",
    "human",
  ], emoji: "👩‍🔬"),
  Emoji(keywords: [
    "biologist",
    "chemist",
    "engineer",
    "physicist",
    "man",
    "human",
  ], emoji: "👨‍🔬"),
  Emoji(keywords: [
    "painter",
    "woman",
    "human",
  ], emoji: "👩‍🎨"),
  Emoji(keywords: [
    "painter",
    "man",
    "human",
  ], emoji: "👨‍🎨"),
  Emoji(keywords: [
    "fireman",
    "woman",
    "human",
  ], emoji: "👩‍🚒"),
  Emoji(keywords: [
    "fireman",
    "man",
    "human",
  ], emoji: "👨‍🚒"),
  Emoji(keywords: [
    "aviator",
    "plane",
    "woman",
    "human",
  ], emoji: "👩‍✈️"),
  Emoji(keywords: [
    "aviator",
    "plane",
    "man",
    "human",
  ], emoji: "👨‍✈️"),
  Emoji(keywords: [
    "space",
    "rocket",
    "woman",
    "human",
  ], emoji: "👩‍🚀"),
  Emoji(keywords: [
    "space",
    "rocket",
    "man",
    "human",
  ], emoji: "👨‍🚀"),
  Emoji(keywords: [
    "justice",
    "court",
    "woman",
    "human",
  ], emoji: "👩‍⚖️"),
  Emoji(keywords: [
    "justice",
    "court",
    "man",
    "human",
  ], emoji: "👨‍⚖️"),
  Emoji(keywords: [
    "woman",
    "female",
    "good",
    "heroine",
    "superpowers",
  ], emoji: "🦸‍♀️"),
  Emoji(keywords: [
    "man",
    "male",
    "good",
    "hero",
    "superpowers",
  ], emoji: "🦸‍♂️"),
  Emoji(keywords: [
    "woman",
    "female",
    "evil",
    "bad",
    "criminal",
    "heroine",
    "superpowers",
  ], emoji: "🦹‍♀️"),
  Emoji(keywords: [
    "man",
    "male",
    "evil",
    "bad",
    "criminal",
    "hero",
    "superpowers",
  ], emoji: "🦹‍♂️"),
  Emoji(keywords: [
    "woman",
    "female",
    "xmas",
    "mother christmas",
  ], emoji: "🤶"),
  Emoji(keywords: [
    "festival",
    "man",
    "male",
    "xmas",
    "father christmas",
  ], emoji: "🎅"),
  Emoji(keywords: [
    "woman",
    "female",
    "mage",
    "witch",
  ], emoji: "🧙‍♀️"),
  Emoji(keywords: [
    "man",
    "male",
    "mage",
    "sorcerer",
  ], emoji: "🧙‍♂️"),
  Emoji(keywords: [
    "woman",
    "female",
  ], emoji: "🧝‍♀️"),
  Emoji(keywords: [
    "man",
    "male",
  ], emoji: "🧝‍♂️"),
  Emoji(keywords: [
    "woman",
    "female",
  ], emoji: "🧛‍♀️"),
  Emoji(keywords: [
    "man",
    "male",
    "dracula",
  ], emoji: "🧛‍♂️"),
  Emoji(keywords: [
    "woman",
    "female",
    "undead",
    "walking dead",
  ], emoji: "🧟‍♀️"),
  Emoji(keywords: [
    "man",
    "male",
    "dracula",
    "undead",
    "walking dead",
  ], emoji: "🧟‍♂️"),
  Emoji(keywords: [
    "woman",
    "female",
  ], emoji: "🧞‍♀️"),
  Emoji(keywords: [
    "man",
    "male",
  ], emoji: "🧞‍♂️"),
  Emoji(keywords: [
    "woman",
    "female",
    "merwoman",
    "ariel",
  ], emoji: "🧜‍♀️"),
  Emoji(keywords: [
    "man",
    "male",
    "triton",
  ], emoji: "🧜‍♂️"),
  Emoji(keywords: [
    "woman",
    "female",
  ], emoji: "🧚‍♀️"),
  Emoji(keywords: [
    "man",
    "male",
  ], emoji: "🧚‍♂️"),
  Emoji(keywords: [
    "heaven",
    "wings",
    "halo",
  ], emoji: "👼"),
  Emoji(keywords: [
    "baby",
  ], emoji: "🤰"),
  Emoji(keywords: [
    "nursing",
    "baby",
  ], emoji: "🤱"),
  Emoji(keywords: [
    "girl",
    "woman",
    "female",
    "blond",
    "crown",
    "royal",
    "queen",
  ], emoji: "👸"),
  Emoji(keywords: [
    "boy",
    "man",
    "male",
    "crown",
    "royal",
    "king",
  ], emoji: "🤴"),
  Emoji(keywords: [
    "couple",
    "marriage",
    "wedding",
    "woman",
    "bride",
  ], emoji: "👰"),
  Emoji(keywords: [
    "couple",
    "marriage",
    "wedding",
    "groom",
  ], emoji: "🤵"),
  Emoji(keywords: [
    "woman",
    "walking",
    "exercise",
    "race",
    "running",
    "female",
  ], emoji: "🏃‍♀️"),
  Emoji(keywords: [
    "man",
    "walking",
    "exercise",
    "race",
    "running",
  ], emoji: "🏃"),
  Emoji(keywords: [
    "human",
    "feet",
    "steps",
    "woman",
    "female",
  ], emoji: "🚶‍♀️"),
  Emoji(keywords: [
    "human",
    "feet",
    "steps",
  ], emoji: "🚶"),
  Emoji(keywords: [
    "female",
    "girl",
    "woman",
    "fun",
  ], emoji: "💃"),
  Emoji(keywords: [
    "male",
    "boy",
    "fun",
    "dancer",
  ], emoji: "🕺"),
  Emoji(keywords: [
    "female",
    "bunny",
    "women",
    "girls",
  ], emoji: "👯"),
  Emoji(keywords: [
    "male",
    "bunny",
    "men",
    "boys",
  ], emoji: "👯‍♂️"),
  Emoji(keywords: [
    "pair",
    "people",
    "human",
    "love",
    "date",
    "dating",
    "like",
    "affection",
    "valentines",
    "marriage",
  ], emoji: "👫"),
  Emoji(keywords: [
    "pair",
    "couple",
    "love",
    "like",
    "bromance",
    "friendship",
    "people",
    "human",
  ], emoji: "👬"),
  Emoji(keywords: [
    "pair",
    "friendship",
    "couple",
    "love",
    "like",
    "female",
    "people",
    "human",
  ], emoji: "👭"),
  Emoji(keywords: [
    "woman",
    "female",
    "girl",
  ], emoji: "🙇‍♀️"),
  Emoji(keywords: [
    "man",
    "male",
    "boy",
  ], emoji: "🙇"),
  Emoji(keywords: [
    "man",
    "male",
    "boy",
    "disbelief",
  ], emoji: "🤦‍♂️"),
  Emoji(keywords: [
    "woman",
    "female",
    "girl",
    "disbelief",
  ], emoji: "🤦‍♀️"),
  Emoji(keywords: [
    "woman",
    "female",
    "girl",
    "confused",
    "indifferent",
    "doubt",
  ], emoji: "🤷"),
  Emoji(keywords: [
    "man",
    "male",
    "boy",
    "confused",
    "indifferent",
    "doubt",
  ], emoji: "🤷‍♂️"),
  Emoji(keywords: [
    "female",
    "girl",
    "woman",
    "human",
    "information",
  ], emoji: "💁"),
  Emoji(keywords: [
    "male",
    "boy",
    "man",
    "human",
    "information",
  ], emoji: "💁‍♂️"),
  Emoji(keywords: [
    "female",
    "girl",
    "woman",
    "nope",
  ], emoji: "🙅"),
  Emoji(keywords: [
    "male",
    "boy",
    "man",
    "nope",
  ], emoji: "🙅‍♂️"),
  Emoji(keywords: [
    "women",
    "girl",
    "female",
    "pink",
    "human",
    "woman",
  ], emoji: "🙆"),
  Emoji(keywords: [
    "men",
    "boy",
    "male",
    "blue",
    "human",
    "man",
  ], emoji: "🙆‍♂️"),
  Emoji(keywords: [
    "female",
    "girl",
    "woman",
  ], emoji: "🙋"),
  Emoji(keywords: [
    "male",
    "boy",
    "man",
  ], emoji: "🙋‍♂️"),
  Emoji(keywords: [
    "female",
    "girl",
    "woman",
  ], emoji: "🙎"),
  Emoji(keywords: [
    "male",
    "boy",
    "man",
  ], emoji: "🙎‍♂️"),
  Emoji(keywords: [
    "female",
    "girl",
    "woman",
    "sad",
    "depressed",
    "discouraged",
    "unhappy",
  ], emoji: "🙍"),
  Emoji(keywords: [
    "male",
    "boy",
    "man",
    "sad",
    "depressed",
    "discouraged",
    "unhappy",
  ], emoji: "🙍‍♂️"),
  Emoji(keywords: [
    "female",
    "girl",
    "woman",
  ], emoji: "💇"),
  Emoji(keywords: [
    "male",
    "boy",
    "man",
  ], emoji: "💇‍♂️"),
  Emoji(keywords: [
    "female",
    "girl",
    "woman",
    "head",
  ], emoji: "💆"),
  Emoji(keywords: [
    "male",
    "boy",
    "man",
    "head",
  ], emoji: "💆‍♂️"),
  Emoji(keywords: [
    "female",
    "woman",
    "spa",
    "steamroom",
    "sauna",
  ], emoji: "🧖‍♀️"),
  Emoji(keywords: [
    "male",
    "man",
    "spa",
    "steamroom",
    "sauna",
  ], emoji: "🧖‍♂️"),
  Emoji(keywords: [
    "pair",
    "love",
    "like",
    "affection",
    "human",
    "dating",
    "valentines",
    "marriage",
  ], emoji: "💑"),
  Emoji(keywords: [
    "pair",
    "love",
    "like",
    "affection",
    "human",
    "dating",
    "valentines",
    "marriage",
  ], emoji: "👩‍❤️‍👩"),
  Emoji(keywords: [
    "pair",
    "love",
    "like",
    "affection",
    "human",
    "dating",
    "valentines",
    "marriage",
  ], emoji: "👨‍❤️‍👨"),
  Emoji(keywords: [
    "pair",
    "valentines",
    "love",
    "like",
    "dating",
    "marriage",
  ], emoji: "💏"),
  Emoji(keywords: [
    "pair",
    "valentines",
    "love",
    "like",
    "dating",
    "marriage",
  ], emoji: "👩‍❤️‍💋‍👩"),
  Emoji(keywords: [
    "pair",
    "valentines",
    "love",
    "like",
    "dating",
    "marriage",
  ], emoji: "👨‍❤️‍💋‍👨"),
  Emoji(keywords: [
    "home",
    "parents",
    "child",
    "mom",
    "dad",
    "father",
    "mother",
    "people",
    "human",
  ], emoji: "👪"),
  Emoji(keywords: [
    "home",
    "parents",
    "people",
    "human",
    "child",
  ], emoji: "👨‍👩‍👧"),
  Emoji(keywords: [
    "home",
    "parents",
    "people",
    "human",
    "children",
  ], emoji: "👨‍👩‍👧‍👦"),
  Emoji(keywords: [
    "home",
    "parents",
    "people",
    "human",
    "children",
  ], emoji: "👨‍👩‍👦‍👦"),
  Emoji(keywords: [
    "home",
    "parents",
    "people",
    "human",
    "children",
  ], emoji: "👨‍👩‍👧‍👧"),
  Emoji(keywords: [
    "home",
    "parents",
    "people",
    "human",
    "children",
  ], emoji: "👩‍👩‍👦"),
  Emoji(keywords: [
    "home",
    "parents",
    "people",
    "human",
    "children",
  ], emoji: "👩‍👩‍👧"),
  Emoji(keywords: [
    "home",
    "parents",
    "people",
    "human",
    "children",
  ], emoji: "👩‍👩‍👧‍👦"),
  Emoji(keywords: [
    "home",
    "parents",
    "people",
    "human",
    "children",
  ], emoji: "👩‍👩‍👦‍👦"),
  Emoji(keywords: [
    "home",
    "parents",
    "people",
    "human",
    "children",
  ], emoji: "👩‍👩‍👧‍👧"),
  Emoji(keywords: [
    "home",
    "parents",
    "people",
    "human",
    "children",
  ], emoji: "👨‍👨‍👦"),
  Emoji(keywords: [
    "home",
    "parents",
    "people",
    "human",
    "children",
  ], emoji: "👨‍👨‍👧"),
  Emoji(keywords: [
    "home",
    "parents",
    "people",
    "human",
    "children",
  ], emoji: "👨‍👨‍👧‍👦"),
  Emoji(keywords: [
    "home",
    "parents",
    "people",
    "human",
    "children",
  ], emoji: "👨‍👨‍👦‍👦"),
  Emoji(keywords: [
    "home",
    "parents",
    "people",
    "human",
    "children",
  ], emoji: "👨‍👨‍👧‍👧"),
  Emoji(keywords: [
    "home",
    "parent",
    "people",
    "human",
    "child",
  ], emoji: "👩‍👦"),
  Emoji(keywords: [
    "home",
    "parent",
    "people",
    "human",
    "child",
  ], emoji: "👩‍👧"),
  Emoji(keywords: [
    "home",
    "parent",
    "people",
    "human",
    "children",
  ], emoji: "👩‍👧‍👦"),
  Emoji(keywords: [
    "home",
    "parent",
    "people",
    "human",
    "children",
  ], emoji: "👩‍👦‍👦"),
  Emoji(keywords: [
    "home",
    "parent",
    "people",
    "human",
    "children",
  ], emoji: "👩‍👧‍👧"),
  Emoji(keywords: [
    "home",
    "parent",
    "people",
    "human",
    "child",
  ], emoji: "👨‍👦"),
  Emoji(keywords: [
    "home",
    "parent",
    "people",
    "human",
    "child",
  ], emoji: "👨‍👧"),
  Emoji(keywords: [
    "home",
    "parent",
    "people",
    "human",
    "children",
  ], emoji: "👨‍👧‍👦"),
  Emoji(keywords: [
    "home",
    "parent",
    "people",
    "human",
    "children",
  ], emoji: "👨‍👦‍👦"),
  Emoji(keywords: [
    "home",
    "parent",
    "people",
    "human",
    "children",
  ], emoji: "👨‍👧‍👧"),
  Emoji(keywords: [
    "ball",
    "crochet",
    "knit",
  ], emoji: "🧶"),
  Emoji(keywords: [
    "needle",
    "sewing",
    "spool",
    "string",
  ], emoji: "🧵"),
  Emoji(keywords: [
    "jacket",
  ], emoji: "🧥"),
  Emoji(keywords: [
    "doctor",
    "experiment",
    "scientist",
    "chemist",
  ], emoji: "🥼"),
  Emoji(keywords: [
    "fashion",
    "shopping_bags",
    "female",
  ], emoji: "👚"),
  Emoji(keywords: [
    "fashion",
    "cloth",
    "casual",
    "shirt",
    "tee",
  ], emoji: "👕"),
  Emoji(keywords: [
    "fashion",
    "shopping",
  ], emoji: "👖"),
  Emoji(keywords: [
    "shirt",
    "suitup",
    "formal",
    "fashion",
    "cloth",
    "business",
  ], emoji: "👔"),
  Emoji(keywords: [
    "clothes",
    "fashion",
    "shopping",
  ], emoji: "👗"),
  Emoji(keywords: [
    "swimming",
    "female",
    "woman",
    "girl",
    "fashion",
    "beach",
    "summer",
  ], emoji: "👙"),
  Emoji(keywords: [
    "dress",
    "fashion",
    "women",
    "female",
    "japanese",
  ], emoji: "👘"),
  Emoji(keywords: [
    "female",
    "girl",
    "fashion",
    "woman",
  ], emoji: "💄"),
  Emoji(keywords: [
    "face",
    "lips",
    "love",
    "like",
    "affection",
    "valentines",
  ], emoji: "💋"),
  Emoji(keywords: [
    "feet",
    "tracking",
    "walking",
    "beach",
  ], emoji: "👣"),
  Emoji(keywords: [
    "ballet",
    "slip-on",
    "slipper",
  ], emoji: "🥿"),
  Emoji(keywords: [
    "fashion",
    "shoes",
    "female",
    "pumps",
    "stiletto",
  ], emoji: "👠"),
  Emoji(keywords: [
    "shoes",
    "fashion",
    "flip flops",
  ], emoji: "👡"),
  Emoji(keywords: [
    "shoes",
    "fashion",
  ], emoji: "👢"),
  Emoji(keywords: [
    "fashion",
    "male",
  ], emoji: "👞"),
  Emoji(keywords: [
    "shoes",
    "sports",
    "sneakers",
  ], emoji: "👟"),
  Emoji(keywords: [
    "backpacking",
    "camping",
    "hiking",
  ], emoji: "🥾"),
  Emoji(keywords: [
    "stockings",
    "clothes",
  ], emoji: "🧦"),
  Emoji(keywords: [
    "hands",
    "winter",
    "clothes",
  ], emoji: "🧤"),
  Emoji(keywords: [
    "neck",
    "winter",
    "clothes",
  ], emoji: "🧣"),
  Emoji(keywords: [
    "fashion",
    "accessories",
    "female",
    "lady",
    "spring",
  ], emoji: "👒"),
  Emoji(keywords: [
    "magic",
    "gentleman",
    "classy",
    "circus",
  ], emoji: "🎩"),
  Emoji(keywords: [
    "cap",
    "baseball",
  ], emoji: "🧢"),
  Emoji(keywords: [
    "construction",
    "build",
  ], emoji: "⛑"),
  Emoji(keywords: [
    "school",
    "college",
    "degree",
    "university",
    "graduation",
    "cap",
    "hat",
    "legal",
    "learn",
    "education",
  ], emoji: "🎓"),
  Emoji(keywords: [
    "king",
    "kod",
    "leader",
    "royalty",
    "lord",
  ], emoji: "👑"),
  Emoji(keywords: [
    "student",
    "education",
    "bag",
    "backpack",
  ], emoji: "🎒"),
  Emoji(keywords: [
    "packing",
    "travel",
  ], emoji: "🧳"),
  Emoji(keywords: [
    "bag",
    "accessories",
    "shopping",
  ], emoji: "👝"),
  Emoji(keywords: [
    "fashion",
    "accessories",
    "money",
    "sales",
    "shopping",
  ], emoji: "👛"),
  Emoji(keywords: [
    "fashion",
    "accessory",
    "accessories",
    "shopping",
  ], emoji: "👜"),
  Emoji(keywords: [
    "business",
    "documents",
    "work",
    "law",
    "legal",
    "job",
    "career",
  ], emoji: "💼"),
  Emoji(keywords: [
    "fashion",
    "accessories",
    "eyesight",
    "nerdy",
    "dork",
    "geek",
  ], emoji: "👓"),
  Emoji(keywords: [
    "face",
    "cool",
    "accessories",
  ], emoji: "🕶"),
  Emoji(keywords: [
    "eyes",
    "protection",
    "safety",
  ], emoji: "🥽"),
  Emoji(keywords: [
    "wedding",
    "propose",
    "marriage",
    "valentines",
    "diamond",
    "fashion",
    "jewelry",
    "gem",
    "engagement",
  ], emoji: "💍"),
  Emoji(keywords: [
    "weather",
    "rain",
    "drizzle",
  ], emoji: "🌂"),
];
